import { Configuration } from "@atomist/automation-client";
import { UserConfig } from "@atomist/automation-client/lib/configuration";
export declare type CliConfig = Pick<Configuration, "apiKey" | "workspaceIds" | "endpoints">;
/**
 * Read user config and resolve workspace IDs then simplify config
 * down to a CliConfig.
 *
 * @return CliConfig populated from user config
 */
export declare function resolveUserConfig(): UserConfig;
/**
 * Read user config and simplify it down to a CliConfig.
 *
 * @return CliConfig populated from user config
 */
export declare function resolveCliConfig(): CliConfig;
//# sourceMappingURL=cliConfig.d.ts.map