import { Arg } from "@atomist/automation-client/lib/internal/invoker/Payload";
/**
 * Determine whether sdm-local commands should be loaded.  To improve
 * startup times and eliminate client startup when unnecessary, we do
 * not load the sdm-local commands if we are just running a native CLI
 * command.
 *
 * @param args command-line arguments, typically process.argv
 * @return true if the SDM local commands should be loaded
 */
export declare function shouldAddLocalSdmCommands(args: string[]): boolean;
/**
 * Does this command start up an embedded SDM?
 * @param args command-line arguments, typically process.argv
 */
export declare function isEmbeddedSdmCommand(args: string[]): boolean;
/**
 * Call the provided function with the provided arguments and capture
 * any errors.  When the function is complete, `process.exit` will be
 * called with the appropriate code, i.e., this function will never return.
 *
 * @param fn function providing the desired command and returning a
 *           Promise of an integer exit value.
 * @param argv command-line arguments
 */
export declare function cliCommand(fn: () => Promise<number>): Promise<never>;
/**
 * Parse positional parameters into parameter name/value pairs.  The
 * positional parameters should be of the form NAME[=VALUE].  If
 * =VALUE is omitted, the value is set to `undefined`.  If the VALUE
 * is empty, i.e., NAME=, then the value is the empty string.
 *
 * @param args typically argv._ from yargs
 * @return array of CommandInvocation Arg
 */
export declare function extractArgs(args: string[]): Arg[];
//# sourceMappingURL=command.d.ts.map