import { Configuration } from "@atomist/automation-client";
/**
 * Command-line options and arguments for config
 */
export interface ConfigOptions {
    /** Atomist API key */
    apiKey?: string;
    /** Atomist workspace ID */
    workspaceId?: string;
    /** Create new API key regardless of a configured one */
    createApiKey?: boolean;
}
/**
 * Set up local configuration with Atomist api key and workspaces
 * @param opts
 */
export declare function config(opts: ConfigOptions): Promise<number>;
/**
 * Validate a given api key by making a backend call to the GraphQL endpoint
 * @param apiKey
 * @param cfg
 */
export declare function validateApiKey(apiKey: string, cfg: Configuration): Promise<void>;
/**
 * Read the list of workspaces and let the user choose to which workspaces to connect to
 * @param apiKey
 * @param cfg
 */
export declare function configureWorkspaces(apiKey: string, cfg: Configuration, multiple?: boolean): Promise<string[]>;
export declare function createSpinner(text: string): any;
export declare function nonce(length?: number): string;
/**
 * Mask secret string.
 * @param secret string to mask
 * @return masked string
 */
export declare function maskString(s: string): string;
//# sourceMappingURL=config.d.ts.map