/**
 * Command-line options and arguments for execute.
 */
export interface ExecuteOptions {
    /** Name of command to run */
    name: string;
    /** Directory to run command in, must be an automation client directory */
    cwd?: string;
    /** If true, run `npm run compile` before running command */
    compile?: boolean;
    /** If true or no node_modules directory exists, run "npm install" before running command */
    install?: boolean;
    /** Unprocessed command-line arguments, typically provided by yargs._ */
    args: string[];
}
/**
 * Execute a command handler.
 *
 * @param opts see ExecuteOptions
 * @return integer return value
 */
export declare function execute(opts: ExecuteOptions): Promise<number>;
//# sourceMappingURL=execute.d.ts.map