/**
 * Command-line options and arguments for kube-fetch.
 */
export interface KubeFetchOptions {
    /** Path to Kubernetes fetch options file. */
    optionsFile?: string;
    /** Path to directory to write spec files in. */
    outputDir?: string;
    /** Format, either "json" or "yaml", of the created files, "yaml" is the default. */
    outputFormat?: "json" | "yaml";
    /** Encryption key to use for secrets. */
    secretKey?: string;
}
/**
 * Fetch Kubernetes resources from the currently configured Kuberenetes
 * cluster, remove Kubernetes system-provided properties, and write the
 * resource specifications to files.
 *
 * @param opts see KubeFetchOptions
 * @return integer return value, 0 if successful, non-zero otherwise
 */
export declare function kubeFetch(opts: KubeFetchOptions): Promise<number>;
//# sourceMappingURL=kubeFetch.d.ts.map