"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/** CLI package */
const pkg = "atomist";
/* tslint:disable:no-console */
/**
 * Print error message to stderr.
 * @param msg message to print
 */
function error(msg) {
    console.error(`${pkg}: [ERROR] ${msg}`);
}
exports.error = error;
/**
 * Print informational message to stdout.
 * @param msg message to print
 */
function info(msg) {
    console.info(`${pkg}: [INFO] ${msg}`);
}
exports.info = info;
/**
 * Print message to stdout.
 * @param msg message to print
 */
function log(msg) {
    console.log(msg);
}
exports.log = log;
/**
 * Print warning message to stdout.
 * @param msg message to print
 */
function warn(msg) {
    console.warn(`${pkg}: [WARN] ${msg}`);
}
exports.warn = warn;
//# sourceMappingURL=print.js.map