#!/usr/bin/env node
"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * See LICENSE file.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line:no-import-side-effect
require("source-map-support/register");
const error_1 = require("../lib/util/error");
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const logging = require("../lib/util/logger");
            logging.configureLogging(logging.ClientLogging);
            let configuration = yield require("../lib/configuration").loadConfiguration();
            configuration = require("../lib/scan").enableDefaultScanning(configuration);
            yield require("../lib/automationClient").automationClient(configuration).run();
        }
        catch (e) {
            error_1.printError(e);
            process.exit(5);
        }
    });
}
/* tslint:disable:no-console */
main()
    .catch(e => {
    console.error(`Unhandled exception: ${e.message}`);
    process.exit(10);
});
//# sourceMappingURL=start.js.map