"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const NoOpEventStore_1 = require("./internal/event/NoOpEventStore");
////////////////////////////////////////////////////////
let es;
function initEventStore() {
    if (!es) {
        es = new NoOpEventStore_1.NoOpEventStore();
    }
}
/**
 * Globally available instance of {EventStore} to be used across the automation client.
 * @type {InMemoryEventStore}
 */
function eventStore() {
    initEventStore();
    return es;
}
exports.eventStore = eventStore;
function setEventStore(newEventStore) {
    es = newEventStore;
}
exports.setEventStore = setEventStore;
function automationClientInstance() {
    return global.__runningAutomationClient;
}
exports.automationClientInstance = automationClientInstance;
//# sourceMappingURL=globals.js.map