import { Configuration } from "../configuration";
import { GraphClient } from "../spi/graph/GraphClient";
import { GraphClientFactory } from "../spi/graph/GraphClientFactory";
/**
 * Factory for creating GraphClient instances for incoming commands and events.
 *
 * Uses a cache to store GraphClient instances for 5 mins after which new instances will be given out.
 */
export declare class ApolloGraphClientFactory implements GraphClientFactory {
    private graphClients;
    create(workspaceId: string, configuration: Configuration): GraphClient;
    protected configure(configuration: Configuration): WindowOrWorkerGlobalScope["fetch"];
    private init;
}
//# sourceMappingURL=ApolloGraphClientFactory.d.ts.map