/**
 * Return Git remote origin URL, branch, and sha for provided
 * directory.  If provided directory is not a Git repository, empty
 * strings will be returned for the repository, branch, and sha.
 *
 * @param directory path to local Git repository
 * @return Git URL, branch, and sha
 */
export declare function obtainGitInfo(directory: string): Promise<GitInformation>;
export interface GitInformation {
    sha: string;
    branch: string;
    repository: string;
}
export declare function cleanGitUrl(url: string): string;
//# sourceMappingURL=gitInfo.d.ts.map