import { EventStore } from "../../spi/event/EventStore";
import { CommandIncoming, EventIncoming } from "../transport/RequestProcessor";
/**
 * Simple {EventStore} implementation that stores events in memory.
 */
export declare class InMemoryEventStore implements EventStore {
    private readonly eventCache;
    private readonly commandCache;
    private readonly messageCache;
    private readonly eventSer;
    private readonly commandSer;
    constructor();
    recordEvent(event: EventIncoming): string;
    recordCommand(command: CommandIncoming): string;
    recordMessage(id: string, correlationId: string, message: any): string;
    events(from?: number): any[];
    eventSeries(): [number[], number[]];
    commands(from?: number): any[];
    commandSeries(): [number[], number[]];
    messages(from?: number): any[];
}
//# sourceMappingURL=InMemoryEventStore.d.ts.map