import { Configuration } from "../../../configuration";
import { AutomationContextAware, HandlerContext } from "../../../HandlerContext";
import { AutomationEventListener } from "../../../server/AutomationEventListener";
import { AutomationServer } from "../../../server/AutomationServer";
import { GraphClient } from "../../../spi/graph/GraphClient";
import { MessageClient } from "../../../spi/message/MessageClient";
import { AbstractRequestProcessor } from "../AbstractRequestProcessor";
import { CommandIncoming, EventIncoming } from "../RequestProcessor";
/**
 * RequestProcessor implementation used by the Express infrastructure to process
 * inbound events via HTTP REST apis.
 */
export declare class ExpressRequestProcessor extends AbstractRequestProcessor {
    protected automations: AutomationServer;
    protected configuration: Configuration;
    protected listeners: AutomationEventListener[];
    private readonly graphClientFactory;
    constructor(automations: AutomationServer, configuration: Configuration, listeners?: AutomationEventListener[]);
    protected sendStatusMessage(payload: any, ctx: HandlerContext & AutomationContextAware): Promise<any>;
    protected createGraphClient(event: EventIncoming | CommandIncoming, context: AutomationContextAware): GraphClient;
    protected createMessageClient(event: EventIncoming | CommandIncoming, context: AutomationContextAware): MessageClient;
}
//# sourceMappingURL=ExpressRequestProcessor.d.ts.map