/**
 * Create a new namespace
 */
export declare function create(): Namespace;
/**
 * Set AutomationContext into the namespace of the current execution
 * @param context
 */
export declare function set(context: AutomationContext): void;
/**
 * Get AutomationContext from the namespace of the current execution
 */
export declare function get(): AutomationContext;
/**
 * Context of the current command or event handler execution
 */
export interface AutomationContext {
    correlationId: string;
    workspaceId: string;
    workspaceName: string;
    operation: string;
    name: string;
    version: string;
    invocationId: string;
    ts: number;
}
/**
 * Internal mapping from async execution ids to AutomationContext instances
 */
declare class Namespace {
    readonly context: {};
    constructor(context?: {});
    run(fn: () => void): void;
    set(key: string, val: any): void;
    get(key: string): any;
}
export {};
//# sourceMappingURL=cls.d.ts.map