"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const url = require("url");
function configureProxy(config) {
    if (process.env.HTTPS_PROXY || process.env.https_proxy) {
        const proxy = process.env.HTTPS_PROXY || process.env.https_proxy;
        const proxyOpts = url.parse(proxy);
        config.proxy = {
            host: proxyOpts.hostname,
            port: +proxyOpts.port,
            auth: proxyAuth(proxyOpts),
        };
        config.proxy.protocol = proxyOpts.protocol;
    }
    return config;
}
exports.configureProxy = configureProxy;
function proxyAuth(proxyOpts) {
    if (proxyOpts.auth) {
        const parts = proxyOpts.auth.split(":");
        if (parts.length === 2) {
            return {
                username: parts[0],
                password: parts[1],
            };
        }
        throw new Error("Malformed Proxy authentication");
    }
}
//# sourceMappingURL=http.js.map