/**
 * Initialise memory monitoring. This is will set the data directory for heap dumps and
 * print the head usage to the console every 60 seconds.
 * @param {string} dataDirectory
 */
export declare function initMemoryMonitoring(dataDirectory?: string, log?: boolean): void;
/**
 * Create a head dump that can be downloaded and used to profile head usage.
 * @returns {string}
 */
export declare function mtrace(): string;
/**
 * Create a head dump that can be downloaded and used to profile head usage.
 * @returns {string}
 */
export declare function heapDump(): string;
/**
 * Get some memory statistics.
 * @returns {{heap: {rss: string; total: string; used: string}; memory: {free: string; total: string}; up_time: string}}
 */
export declare function memoryUsage(): {
    heap: {
        rss: string;
        total: string;
        used: string;
    };
    memory: {
        free: string;
        total: string;
    };
    up_time: string;
};
/**
 * Trigger gargabe collect.
 * This required the process to run with --expose_gc.
 */
export declare function gc(): void;
//# sourceMappingURL=memory.d.ts.map