import { ActionResult } from "../../action/ActionResult";
import { Configurable } from "../../project/git/Configurable";
import { AbstractRemoteRepoRef } from "./AbstractRemoteRepoRef";
import { ProjectOperationCredentials } from "./ProjectOperationCredentials";
export declare const BitBucketDotComBase = "https://bitbucket.org/api/2.0";
export declare class BitBucketRepoRef extends AbstractRemoteRepoRef {
    readonly kind: string;
    constructor(owner: string, repo: string, sha?: string, apiBase?: string, path?: string, branch?: string, remote?: string);
    createRemote(creds: ProjectOperationCredentials, description: string, visibility: string): Promise<ActionResult<this>>;
    deleteRemote(creds: ProjectOperationCredentials): Promise<ActionResult<this>>;
    setUserConfig(credentials: ProjectOperationCredentials, project: Configurable): Promise<ActionResult<any>>;
    raisePullRequest(creds: ProjectOperationCredentials, title: string, body: string, head: string, base: string): Promise<ActionResult<this>>;
}
//# sourceMappingURL=BitBucketRepoRef.d.ts.map