"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SimpleRepoId {
    constructor(owner, repo, url = `${owner}/${repo}`) {
        this.owner = owner;
        this.repo = repo;
        this.url = url;
    }
}
exports.SimpleRepoId = SimpleRepoId;
/**
 * PR Reviewer types
 */
var PullRequestReviewerType;
(function (PullRequestReviewerType) {
    PullRequestReviewerType[PullRequestReviewerType["individual"] = 0] = "individual";
    PullRequestReviewerType[PullRequestReviewerType["team"] = 1] = "team";
})(PullRequestReviewerType = exports.PullRequestReviewerType || (exports.PullRequestReviewerType = {}));
/**
 * Supported SCM providers.
 */
var ProviderType;
(function (ProviderType) {
    /** BitBucket server instances, maps to [[BitBucketServerRepoRef]] */
    ProviderType[ProviderType["bitbucket"] = 0] = "bitbucket";
    /** Atlassian-hosted BitBucket cloud, maps to [[BitBucketRepoRef]] */
    ProviderType[ProviderType["bitbucket_cloud"] = 1] = "bitbucket_cloud";
    /** GitHub.com, maps to [[GitHubRepoRef]] */
    ProviderType[ProviderType["github_com"] = 2] = "github_com";
    /** GitHub Enterprise, maps to [[GitHubRepoRef]] */
    ProviderType[ProviderType["ghe"] = 3] = "ghe";
    /** Gitlab.com, maps to [[GitlabRepoRef]] */
    ProviderType[ProviderType["gitlab_com"] = 4] = "gitlab_com";
    /** Gitlab Enterprise, maps to [[GitlabRepoRef]] */
    ProviderType[ProviderType["gitlab_enterprise"] = 5] = "gitlab_enterprise";
})(ProviderType = exports.ProviderType || (exports.ProviderType = {}));
function isRemoteRepoRef(r) {
    const q = r;
    return !!q.setUserConfig;
}
exports.isRemoteRepoRef = isRemoteRepoRef;
function isLocalRepoRef(r) {
    const maybeLocalRR = r;
    return !!maybeLocalRR.baseDir;
}
exports.isLocalRepoRef = isLocalRepoRef;
//# sourceMappingURL=RepoId.js.map