"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GitCommandGitProject_1 = require("../../project/git/GitCommandGitProject");
const gitHubRepoLoader_1 = require("./gitHubRepoLoader");
const localRepoLoader_1 = require("./localRepoLoader");
const RepoId_1 = require("./RepoId");
/**
 * Materialize from github
 * @param credentials provider token
 * @return function to materialize repos
 * @constructor
 */
function defaultRepoLoader(credentials, directoryManager = GitCommandGitProject_1.DefaultDirectoryManager) {
    return (repoId) => {
        if (RepoId_1.isLocalRepoRef(repoId)) {
            return localRepoLoader_1.LocalRepoLoader(repoId);
        }
        else {
            return gitHubRepoLoader_1.gitHubRepoLoader(credentials, directoryManager)(repoId);
        }
    };
}
exports.defaultRepoLoader = defaultRepoLoader;
//# sourceMappingURL=defaultRepoLoader.js.map