"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stringify = require("json-stringify-safe");
const NodeFsLocalProject_1 = require("../../project/local/NodeFsLocalProject");
const RepoId_1 = require("./RepoId");
exports.LocalRepoLoader = (repoId) => {
    if (RepoId_1.isLocalRepoRef(repoId)) {
        // Find it from the file system
        return NodeFsLocalProject_1.NodeFsLocalProject.fromExistingDirectory(repoId, repoId.baseDir);
    }
    else {
        throw Promise.reject(`Not a local RepoId: [${stringify(repoId)}]`);
    }
};
//# sourceMappingURL=localRepoLoader.js.map