"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const decorators_1 = require("../../../decorators");
const GitHubTargetsParams_1 = require("./GitHubTargetsParams");
const validationPatterns_1 = require("./validationPatterns");
/**
 * Basic editor params. Always ask for a repo.
 * Allow regex.
 */
let AlwaysAskRepoParameters = class AlwaysAskRepoParameters extends GitHubTargetsParams_1.GitHubTargetsParams {
    constructor() {
        super(...arguments);
        this.branch = "master";
    }
};
__decorate([
    decorators_1.Parameter(Object.assign(Object.assign({ description: "Name of owner to edit repo in" }, validationPatterns_1.GitHubNameRegExp), { required: true })),
    __metadata("design:type", String)
], AlwaysAskRepoParameters.prototype, "owner", void 0);
__decorate([
    decorators_1.Parameter({ description: "Name of repo to edit or regex", pattern: /.+/, required: true }),
    __metadata("design:type", String)
], AlwaysAskRepoParameters.prototype, "repo", void 0);
__decorate([
    decorators_1.Parameter(Object.assign(Object.assign({ description: "Ref" }, validationPatterns_1.GitShaRegExp), { required: false })),
    __metadata("design:type", String)
], AlwaysAskRepoParameters.prototype, "sha", void 0);
__decorate([
    decorators_1.Parameter(Object.assign(Object.assign({ description: "Branch Defaults to 'master'" }, validationPatterns_1.GitBranchRegExp), { required: false })),
    __metadata("design:type", String)
], AlwaysAskRepoParameters.prototype, "branch", void 0);
AlwaysAskRepoParameters = __decorate([
    decorators_1.Parameters()
], AlwaysAskRepoParameters);
exports.AlwaysAskRepoParameters = AlwaysAskRepoParameters;
//# sourceMappingURL=AlwaysAskRepoParameters.js.map