import { GitHubRepoRef } from "../GitHubRepoRef";
import { ProjectOperationCredentials } from "../ProjectOperationCredentials";
import { TargetsParams } from "./TargetsParams";
/**
 * Base parameters for working with GitHub repo(s).
 * Allows use of regex.
 */
export declare abstract class GitHubTargetsParams extends TargetsParams {
    apiUrl: string;
    get credentials(): ProjectOperationCredentials;
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * @return {RepoRef}
     */
    get repoRef(): GitHubRepoRef;
    private readonly githubToken;
}
//# sourceMappingURL=GitHubTargetsParams.d.ts.map