import { RemoteRepoRef } from "../RepoId";
import { RemoteLocator } from "./RemoteLocator";
/**
 * Parameters common to anything that works with a single source repo,
 * such as a seed driven generator
 */
export declare abstract class SourceRepoParameters implements RemoteLocator {
    owner: string;
    repo: string;
    sha: string;
    /**
     * Return a single RepoRef
     * This implementation returns a GitHub.com repo but it can be overridden
     * to return any kind of repo
     * @return {RepoRef}
     */
    abstract repoRef: RemoteRepoRef;
}
//# sourceMappingURL=SourceRepoParameters.d.ts.map