import { ProjectOperationCredentials } from "../ProjectOperationCredentials";
import { RepoFilter } from "../repoFilter";
import { RemoteRepoRef } from "../RepoId";
import { Credentialed } from "./Credentialed";
import { RemoteLocator } from "./RemoteLocator";
/**
 * Base parameters for working with repo(s).
 * Allows use of regex.
 */
export declare abstract class TargetsParams implements Credentialed, RemoteLocator {
    abstract owner: string;
    /**
     * Repo name. May be a repo name or a string containing a regular expression.
     */
    abstract repo: string;
    abstract sha: string;
    abstract branch: string;
    abstract credentials: ProjectOperationCredentials;
    get usesRegex(): boolean;
    abstract repoRef: RemoteRepoRef;
    /**
     * If we're not tied to a single repo ref, test this RepoRef
     * @param {RepoRef} rr
     * @return {boolean}
     */
    test: RepoFilter;
}
//# sourceMappingURL=TargetsParams.d.ts.map