"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitHubNameRegExp = {
    pattern: /^[-.\w]+$/,
    validInput: "a valid GitHub identifier which consists of alphanumeric, ., -, and _ characters",
};
exports.GitBranchRegExp = {
    // not perfect, but pretty good
    pattern: /^\w(?:[./]?[-\w])*$/,
    validInput: "a valid Git branch name, see" +
        " https://www.kernel.org/pub/software/scm/git/docs/git-check-ref-format.html",
};
exports.GitShaRegExp = {
    pattern: /^[0-9a-f]{40}$/,
    validInput: "40 hex digits, lowercase",
};
//# sourceMappingURL=validationPatterns.js.map