import { SourceRepoParameters } from "../common/params/SourceRepoParameters";
import { RepoCreationParameters } from "./RepoCreationParameters";
import { SeedDrivenGeneratorParameters } from "./SeedDrivenGeneratorParameters";
/**
 * Default parameters needed to create a new repo from a seed.
 * Defaults to use GitHub.com, but subclasses can override the source and target parameters.
 */
export declare class BaseSeedDrivenGeneratorParameters implements SeedDrivenGeneratorParameters {
    source: SourceRepoParameters;
    target: RepoCreationParameters;
    /**
     * Subclasses can override this for non GitHub target strategies.
     * @param {SourceRepoParameters} source
     * @param {NewRepoCreationParameters} target
     */
    constructor(source?: SourceRepoParameters, target?: RepoCreationParameters);
}
//# sourceMappingURL=BaseSeedDrivenGeneratorParameters.d.ts.map