import { ProjectOperationCredentials } from "../common/ProjectOperationCredentials";
import { RemoteRepoRef } from "../common/RepoId";
import { NewRepoCreationParameters } from "./NewRepoCreationParameters";
/**
 * Parameters common to all generators that create new repositories
 */
export declare class GitHubRepoCreationParameters extends NewRepoCreationParameters {
    githubToken: any;
    apiUrl: string;
    get credentials(): ProjectOperationCredentials;
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * This implementation returns a GitHub.com repo but it can be overriden
     * to return any kind of repo
     * @return {RepoRef}
     */
    get repoRef(): RemoteRepoRef;
}
//# sourceMappingURL=GitHubRepoCreationParameters.d.ts.map