"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const decorators_1 = require("../../decorators");
const GitHubRepoRef_1 = require("../common/GitHubRepoRef");
const NewRepoCreationParameters_1 = require("./NewRepoCreationParameters");
/**
 * Parameters common to all generators that create new repositories
 */
class GitHubRepoCreationParameters extends NewRepoCreationParameters_1.NewRepoCreationParameters {
    get credentials() {
        return { token: this.githubToken };
    }
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * This implementation returns a GitHub.com repo but it can be overriden
     * to return any kind of repo
     * @return {RepoRef}
     */
    get repoRef() {
        return (!!this.owner && !!this.repo) ?
            new GitHubRepoRef_1.GitHubRepoRef(this.owner, this.repo, "master", this.apiUrl) :
            undefined;
    }
}
__decorate([
    decorators_1.Secret(decorators_1.Secrets.userToken(["repo", "user:email", "read:user"])),
    __metadata("design:type", Object)
], GitHubRepoCreationParameters.prototype, "githubToken", void 0);
__decorate([
    decorators_1.MappedParameter(decorators_1.MappedParameters.GitHubApiUrl, false),
    __metadata("design:type", String)
], GitHubRepoCreationParameters.prototype, "apiUrl", void 0);
exports.GitHubRepoCreationParameters = GitHubRepoCreationParameters;
//# sourceMappingURL=GitHubRepoCreationParameters.js.map