import { ProjectOperationCredentials } from "../common/ProjectOperationCredentials";
import { RemoteRepoRef } from "../common/RepoId";
import { NewRepoCreationParameters } from "./NewRepoCreationParameters";
/**
 * Parameters common to all generators that create new repositories on Gitlab
 */
export declare class GitlabRepoCreationParameters extends NewRepoCreationParameters {
    token: string;
    apiUrl: string;
    baseRemoteUrl: string;
    get credentials(): ProjectOperationCredentials;
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * This implementation returns a Gitlab.com repo but it can be overriden
     * to return any kind of repo
     * @return {RepoRef}
     */
    get repoRef(): RemoteRepoRef;
}
//# sourceMappingURL=GitlabRepoCreationParameters.d.ts.map