import { ProjectOperationCredentials } from "../common/ProjectOperationCredentials";
import { RemoteRepoRef } from "../common/RepoId";
import { RepoCreationParameters } from "./RepoCreationParameters";
/**
 * Parameters common to all generators that create new repositories
 */
export declare abstract class NewRepoCreationParameters implements RepoCreationParameters {
    owner: string;
    repo: string;
    description: string;
    visibility: "public" | "private";
    abstract credentials: ProjectOperationCredentials;
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * This implementation returns a GitHub.com repo but it can be overriden
     * to return any kind of repo
     * @return {RepoRef}
     */
    abstract repoRef: RemoteRepoRef;
}
//# sourceMappingURL=NewRepoCreationParameters.d.ts.map