import { RepoRef } from "../../operations/common/RepoId";
import { Chain } from "./Chain";
/**
 * Extracts fingerprints, diffs them, and invokes actions on Github shas that are being compared
 */
export declare class DifferenceEngine {
    private readonly githubIssueAuth;
    private readonly chains;
    constructor(githubIssueAuth: GithubIssueAuth, chains: Array<Chain<any, any>>);
    /**
     * Run configured diff chains for these shas
     * @param baseSha
     * @param headSha
     */
    run(baseSha: string, headSha: string): Promise<void>;
    private cloneRepo;
}
/**
 * Details that allow a GitHub issue to be referenced and modified
 */
export interface GithubIssueAuth extends RepoRef {
    githubToken: string;
    issueNumber: number;
}
//# sourceMappingURL=DifferenceEngine.d.ts.map