/**
 * Glob pattern to match all files in a project. Standard glob syntax.
 */
export declare const AllFiles = "**/**";
/**
 * Negative glob to exclude .git directory
 * @type {string}
 */
export declare const ExcludeGit = "!.git/**";
/**
 * Negative glob to exclude node_modules directory. We nearly always want to exclude
 * this when handling node projects, for performance reasons.
 * @type {string}
 */
export declare const ExcludeNodeModules = "!**/node_modules/**";
export declare const ExcludeTarget = "!target/**";
/**
 * Default exclusions (git and node modules).
 * Must be combined with a positive glob.
 * @type {[string , string]}
 */
export declare const DefaultExcludes: string[];
/**
 * Include all files except with default exclusions (git and node modules)
 * @type {[string , string , string]}
 */
export declare const DefaultFiles: string[];
//# sourceMappingURL=fileGlobs.d.ts.map