"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Glob pattern to match all files in a project. Standard glob syntax.
 */
exports.AllFiles = "**/**";
/**
 * Negative glob to exclude .git directory
 * @type {string}
 */
exports.ExcludeGit = "!.git/**";
/**
 * Negative glob to exclude node_modules directory. We nearly always want to exclude
 * this when handling node projects, for performance reasons.
 * @type {string}
 */
exports.ExcludeNodeModules = "!**/node_modules/**";
exports.ExcludeTarget = "!target/**";
/**
 * Default exclusions (git and node modules).
 * Must be combined with a positive glob.
 * @type {[string , string]}
 */
exports.DefaultExcludes = [exports.ExcludeGit, exports.ExcludeNodeModules, exports.ExcludeTarget];
/**
 * Include all files except with default exclusions (git and node modules)
 * @type {[string , string , string]}
 */
exports.DefaultFiles = [exports.AllFiles].concat(exports.DefaultExcludes);
//# sourceMappingURL=fileGlobs.js.map