import { Project } from "../Project";
/**
 * Implementation of LocalProject based on node file system.
 * Uses fs-extra vs raw fs.
 */
export declare type ReleaseFunction = () => Promise<void>;
export declare function isLocalProject(p: Project): p is LocalProject;
/**
 * Implementation of Project backed by local file system
 */
export interface LocalProject extends Project {
    readonly baseDir: string;
    /**
     * Release any locks held
     */
    release: ReleaseFunction;
}
//# sourceMappingURL=LocalProject.d.ts.map