/// <reference types="node" />
import { AbstractFile } from "../support/AbstractFile";
import { LocalFile } from "./LocalFile";
/**
 * Implementation of File interface on node file system
 */
export declare class NodeFsLocalFile extends AbstractFile implements LocalFile {
    readonly baseDir: string;
    path: string;
    constructor(baseDir: string, path: string);
    get realPath(): string;
    getContentSync(encoding?: string): string;
    getContent(encoding?: string): Promise<string>;
    getContentBuffer(): Promise<Buffer>;
    setContent(content: string): Promise<this>;
    setContentSync(content: string): this;
    setPath(path: string): Promise<this>;
    isExecutable(): Promise<boolean>;
    isReadable(): Promise<boolean>;
    isBinary(): Promise<boolean>;
}
//# sourceMappingURL=NodeFsLocalFile.d.ts.map