/// <reference types="node" />
import { AbstractFile } from "../support/AbstractFile";
/**
 * In memory File implementation. Useful in testing
 * and to back quasi-synchronous operations. Do not use
 * for very large files.
 */
export declare class InMemoryFile extends AbstractFile {
    path: string;
    content: string;
    private readonly initialPath;
    private readonly initialContent;
    constructor(path: string, content: string);
    getContentSync(encoding?: string): string;
    setContentSync(content: string): this;
    setContent(content: string): Promise<this>;
    getContent(encoding?: string): Promise<string>;
    getContentBuffer(): Promise<Buffer>;
    setPath(path: string): Promise<this>;
    get dirty(): boolean;
    isExecutable(): Promise<boolean>;
    isReadable(): Promise<boolean>;
    isBinary(): Promise<boolean>;
}
//# sourceMappingURL=InMemoryFile.d.ts.map