import { Project } from "../Project";
/**
 * Pass through validating something. Used to assert invariants in editors.
 * Reject if invariant isn't satisfied.
 * @param {Project} p
 * @param {string} path
 * @param assertion to satisfy invariant
 * @param err custom error message, if supplied
 * @return {Promise<Project>}
 */
export declare function assertContent(p: Project, path: string, assertion: (content: string) => boolean, err?: string): Promise<Project>;
export declare function assertContentIncludes(p: Project, path: string, what: string): Promise<Project>;
export declare function assertFileExists(p: Project, path: string): Promise<Project>;
//# sourceMappingURL=projectInvariants.d.ts.map