import { AxiosRequestConfig } from "axios";
import { HttpClient, HttpClientFactory, HttpClientOptions, HttpResponse } from "./httpClient";
/**
 * Axios based HttpClient implementation.
 */
export declare class AxiosHttpClient implements HttpClient {
    exchange<T>(url: string, options?: HttpClientOptions): Promise<HttpResponse<T>>;
    protected configureOptions(options: AxiosRequestConfig): AxiosRequestConfig;
}
/**
 * HttpClientFactory that creates HttpClient instances backed by Axios.
 */
export declare class AxiosHttpClientFactory implements HttpClientFactory {
    create(url?: string): HttpClient;
}
//# sourceMappingURL=axiosHttpClient.d.ts.map