import * as WebSocket from "ws";
import { RegistrationConfirmation } from "../../internal/transport/websocket/WebSocketRequestProcessor";
/**
 * Factory to create a WebSocket instance.
 */
export interface WebSocketFactory {
    /**
     * Create a WebSocket for the provided registration
     * @param registration
     */
    create(registration: RegistrationConfirmation): WebSocket;
}
/**
 * WS based WebSocketFactory implementation
 */
export declare class WSWebSocketFactory implements WebSocketFactory {
    create(registration: RegistrationConfirmation): WebSocket;
    protected configureOptions(options: WebSocket.ClientOptions): WebSocket.ClientOptions;
}
export declare const defaultWebSocketFactory: () => WSWebSocketFactory;
//# sourceMappingURL=wsClient.d.ts.map