import { Grammar } from "@atomist/microgrammar";
import { TreeNode } from "@atomist/tree-path";
import { File } from "../../../project/File";
import { FileParser } from "../FileParser";
/**
 * Allow path expressions against results from a single microgrammar
 */
export declare class MicrogrammarBasedFileParser implements FileParser {
    readonly rootName: string;
    readonly matchName: string;
    readonly grammar: Grammar<any>;
    /**
     * Create a new MicrogrammarBasedFileParser, around a single microgrammar
     * @param {string} rootName name of the root element
     * @param {string} matchName name of each match
     * @param {Grammar<any>} grammar
     */
    constructor(rootName: string, matchName: string, grammar: Grammar<any>);
    toAst(f: File): Promise<TreeNode>;
}
//# sourceMappingURL=MicrogrammarBasedFileParser.d.ts.map