"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const redactions = [];
/**
 * Prepare the logging to exclude something.
 * If you know you're about to, say, spawn a process that will get printed
 * to the log and will reveal something secret, then prepare the logger to
 * exclude that secret thing.
 *
 * Pass a regular expression that will match the secret thing and very little else.
 */
function addRedaction(redacted, suggestedReplacement) {
    const replacement = suggestedReplacement || "[REDACTED]";
    redactions.push({ redacted, replacement });
}
exports.addRedaction = addRedaction;
/**
 * @deprecated use addRedaction
 */
exports.addLogRedaction = addRedaction;
function redact(message) {
    let output = message;
    redactions.forEach(r => {
        output = typeof output === "string" ? output.replace(r.redacted, r.replacement) : output;
    });
    return output;
}
exports.redact = redact;
function redactLog(logInfo) {
    let output = logInfo.message;
    redactions.forEach(r => {
        output = typeof output === "string" ? output.replace(r.redacted, r.replacement) : output;
    });
    return Object.assign(Object.assign({}, logInfo), { message: output });
}
exports.redactLog = redactLog;
//# sourceMappingURL=redact.js.map