import { WrapOptions } from "retry";
/**
 * Default retry options for doWithRetry.
 */
export declare const DefaultRetryOptions: RetryOptions;
export interface RetryOptions extends WrapOptions {
    log?: boolean;
}
/**
 * Generic typed retry support
 * Perform the task, retrying according to the retry options
 * @param {() => Promise<R>} what
 * @param {string} description
 * @param {Object} opts
 * @return {Promise<R>}
 */
export declare function doWithRetry<R>(what: () => Promise<R>, description: string, opts?: RetryOptions): Promise<R>;
//# sourceMappingURL=retry.d.ts.map