import { PatternMatch } from "./PatternMatch";
/**
 * Result of attempting to match a pattern: MatchFailureReport or SuccessfulMatch.
 */
export interface MatchPrefixResult {
    /**
     * Offset of the match within the input, from 0
     */
    readonly $offset: number;
    /**
     * Id of the matcher that attempted the match
     */
    readonly $matcherId: string;
    /**
     * The matched string, if any
     */
    readonly $matched: string;
}
export declare class MatchFailureReport implements MatchPrefixResult {
    readonly $matcherId: string;
    readonly $offset: number;
    readonly $matched: string;
    readonly cause?: string;
    readonly children?: MatchFailureReport[];
    static from(params: {
        $matcherId: string;
        $offset: number;
        $matched?: string;
        cause?: string;
        children?: MatchPrefixResult[];
    }): MatchFailureReport;
    constructor($matcherId: string, $offset: number, $matched: string, cause?: string, children?: MatchFailureReport[]);
    readonly description: string;
}
export declare function isSuccessfulMatch(mpr: MatchPrefixResult): mpr is PatternMatch;
