"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MatchFailureReport {
    constructor($matcherId, $offset, $matched, cause, children) {
        this.$matcherId = $matcherId;
        this.$offset = $offset;
        this.$matched = $matched;
        this.cause = cause;
        this.children = children;
    }
    // todo: simplify. include explanationTree
    static from(params) {
        const { $matcherId, $offset, $matched, cause, children } = params;
        return new MatchFailureReport($matcherId, $offset, $matched || "", cause, children);
    }
    get description() {
        return `Match failed on ${this.$matcherId}: ${this.cause}`;
    }
}
exports.MatchFailureReport = MatchFailureReport;
function isSuccessfulMatch(mpr) {
    return mpr && mpr.$value !== undefined && !!mpr.matchedStructure;
}
exports.isSuccessfulMatch = isSuccessfulMatch;
//# sourceMappingURL=MatchPrefixResult.js.map