"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stringify_tree_1 = require("stringify-tree");
class MicrogrammarParseError extends Error {
    constructor(message, explanationTree) {
        super(message);
        this.explanationTree = explanationTree;
    }
    explanationTreeString() {
        return stringifyExplanationTree(this.explanationTree);
    }
}
exports.MicrogrammarParseError = MicrogrammarParseError;
function stringifyExplanationTree(tn) {
    return stringify_tree_1.stringifyTree(tn, n => `${n.successful ? "☻" : "☹"}${n.$name} ${n.reason || "[" + n.$value + "]"}`, n => n.$children);
}
exports.stringifyExplanationTree = stringifyExplanationTree;
//# sourceMappingURL=MicrogrammarParseError.js.map