import { InputStream } from "../spi/InputStream";
/**
 * Window over input. Enables us to use a simple InputStream
 * abstraction that does not need to support backtracking.
 */
export declare class InputStateManager {
    private readonly stream;
    private readonly bufsize;
    private left;
    private window;
    constructor(stream: InputStream, bufsize?: number);
    get(offset: number, n: number): string;
    canSatisfy(offset: number): boolean;
    /**
     * Drop characters left of the offset from window
     * @param offset leftmost offset we'll need
     */
    dropLeft(offset: number): void;
    exhausted(): boolean;
    private right;
}
