"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Concat_1 = require("../matchers/Concat");
const Primitives_1 = require("../Primitives");
const Break_1 = require("./Break");
/**
 * Print a matcher structure
 *
 * This is implemented only as far as I needed it; let's see whether
 * we want to use it more before fleshing out the implementation.
 */
function isMatcher(ml) {
    return !!(ml.name);
}
function isConcat(ml) {
    return !!(ml.matchSteps);
}
function print(ml) {
    if (isConcat(ml)) {
        const matcherSteps = ml.matchSteps.filter(isMatcher).map(m => m);
        return matcherSteps.map(print).join(" ");
    }
    else if (Primitives_1.isLiteral(ml)) {
        return ml.literal;
    }
    else if (Concat_1.isNamedMatcher(ml)) {
        return print(ml.ml);
    }
    else if (Break_1.isBreak(ml)) {
        return ("...(" + print(ml.terminateOn) + ")");
    }
    else if (isMatcher(ml)) {
        return `Matcher:${ml.name}`;
    }
    else {
        return "???";
    }
}
exports.print = print;
//# sourceMappingURL=MatcherPrinter.js.map