import { Concat } from "../matchers/Concat";
import { FromStringOptions } from "../FromStringOptions";
/**
 * Convenient function to create a microgrammar from a spec within another grammar
 * @param spec string spec
 * @param components
 * @param options
 * @returns {Concat}
 */
export declare function fromString(spec: string, components?: object, options?: FromStringOptions): Concat;
/**
 * Parses microgrammars expressed as strings.
 */
export declare class MicrogrammarSpecParser {
    private anonFieldCount;
    fromString(spec: string, components: object, options: FromStringOptions): Concat;
    /**
     * Given a spec, replace all the DiscardToken instances with a named,
     * but unbound, matcher spec
     * @param spec spec to preprocess before parsing
     * @param optionsToUse options
     * @returns {string}
     */
    private preprocess;
    private definitionSpecsFromMicrogrammarSpec;
    private populateSpecifiedElements;
    private inferUnspecifiedElements;
    private definitionsFromSpecs;
    private matcherForLiteral;
    private addAnonymousToDefinitions;
}
