"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Concat_1 = require("../matchers/Concat");
const Skip_1 = require("../matchers/skip/Skip");
const Rep_1 = require("../Rep");
const Break_1 = require("./Break");
function componentReference(fso) {
    return Concat_1.Concat.of({
        $id: "component",
        _start: fso.componentPrefix + "{",
        elementName: /[a-zA-Z0-9_]+/,
        _end: "}",
    });
}
function specGrammar(fso) {
    const componentRef = componentReference(fso);
    return Concat_1.Concat.of({
        $id: "spec",
        these: new Rep_1.Rep({
            $id: "literal, then component",
            literal: new Break_1.Break(componentRef),
            element: componentRef,
        }),
        trailing: Skip_1.RestOfInput,
    });
}
exports.specGrammar = specGrammar;
//# sourceMappingURL=SpecGrammar.js.map