import { InputState, Skipped } from "../InputState";
import { MatchingLogic } from "../Matchers";
/**
 * Prepare to match. Skip whitespace if appropriate. Skip irrelevant content if
 * we have a matcher we're preparing for.
 * @param is current input state
 * @param consumeWhiteSpaceBetweenTokens should we skipWhile whitespace
 * @param matchers matchers we want to match. If there are multiple matchers,
 * we calculate the longest common prefix (if known). Undefined array
 * elements are ignored, after the first matcher.
 * If there is a definite prefix, we can skipWhile content.
 */
export declare function readyToMatch(is: InputState, consumeWhiteSpaceBetweenTokens: boolean, ...matchers: MatchingLogic[]): Skipped;
