"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function failedMatchReport(matcher, params) {
    return new FailedTerminalMatchReport(matcher, Object.assign({ parseNodeName: matcher.$id, children: [] }, params));
}
exports.failedMatchReport = failedMatchReport;
class FailedTerminalMatchReport {
    constructor(matcher, params) {
        this.matcher = matcher;
        this.kind = "real";
        this.successful = false;
        this.matched = params.matched;
        this.offset = params.offset;
        this.reason = params.reason;
        this.parseNodeName = params.parseNodeName;
        this.children = params.children;
    }
    toExplanationTree() {
        return {
            successful: false,
            reason: this.reason,
            $name: this.parseNodeName,
            $offset: this.offset,
            $value: this.matched,
            $children: this.children.map(c => c.toExplanationTree()),
        };
    }
}
//# sourceMappingURL=failedMatchReport.js.map