import { MatchingLogic } from "../../Matchers";
import { MatchExplanationTreeNode, SuccessfulMatchReport } from "../../MatchReport";
import { PatternMatch } from "../../PatternMatch";
export declare function successfulMatchReport(matcher: MatchingLogic, params: {
    matched: string;
    offset: number;
    valueRepresented?: {
        value: any;
    };
    parseNodeName?: string;
    reason?: string;
}): SuccessfulTerminalMatchReport;
declare class SuccessfulTerminalMatchReport implements SuccessfulMatchReport {
    readonly matcher: MatchingLogic;
    readonly successful = true;
    readonly kind = "real";
    readonly matched: string;
    readonly offset: number;
    readonly endingOffset: number;
    readonly valueRepresented: {
        value: any;
    };
    readonly parseNodeName: string;
    readonly reason?: string;
    constructor(matcher: MatchingLogic, params: {
        matched: string;
        offset: number;
        valueRepresented: {
            value: any;
        };
        parseNodeName: string;
        reason?: string;
    });
    toPatternMatch<T>(): PatternMatch & T;
    toParseTree(): {
        $name: string;
        $value: string;
        $offset: number;
        $children: any[];
    };
    toExplanationTree(): MatchExplanationTreeNode;
    toValueStructure<T>(): T;
}
export {};
