"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function successfulMatchReport(matcher, params) {
    return new SuccessfulTerminalMatchReport(matcher, Object.assign({ valueRepresented: params.valueRepresented || { value: params.matched }, parseNodeName: matcher.$id }, params));
}
exports.successfulMatchReport = successfulMatchReport;
class SuccessfulTerminalMatchReport {
    constructor(matcher, params) {
        this.matcher = matcher;
        this.successful = true;
        this.kind = "real";
        this.matched = params.matched;
        this.offset = params.offset;
        this.valueRepresented = params.valueRepresented;
        this.parseNodeName = params.parseNodeName;
        this.reason = params.reason;
        this.endingOffset = this.offset + this.matched.length;
    }
    toPatternMatch() {
        const pm = {
            $matcherId: this.matcher.$id,
            $matched: this.matched,
            $offset: this.offset,
            $value: this.valueRepresented.value,
            matchedStructure: () => this.valueRepresented.value,
        };
        // hack for compatibility with isSuccessfulMatch
        pm.$successfulMatch = true;
        // add custom fields
        return pm;
    }
    toParseTree() {
        return {
            $name: this.parseNodeName,
            $value: this.matched,
            $offset: this.offset,
            $children: [],
        };
    }
    toExplanationTree() {
        return Object.assign({ successful: true, reason: this.reason }, this.toParseTree());
    }
    toValueStructure() {
        return this.valueRepresented.value;
    }
}
//# sourceMappingURL=terminalMatchReport.js.map