import { MatchingLogic } from "../../Matchers";
import { FailedMatchReport, MatchExplanationTreeNode, MatchReport, SuccessfulMatchReport } from "../../MatchReport";
import { TreeNodeCompatible } from "../../TreeNodeCompatible";
export declare function wrappingMatchReport(matcher: MatchingLogic, params: {
    inner: SuccessfulMatchReport;
    additional?: FailedMatchReport[];
    parseNodeName?: string;
}): SuccessfulMatchReport;
export declare abstract class SuccessfulMatchReportWrapper implements SuccessfulMatchReport {
    readonly matcher: MatchingLogic;
    protected readonly parseNodeName: string;
    protected readonly inner: SuccessfulMatchReport;
    readonly kind = "real";
    readonly successful = true;
    constructor(matcher: MatchingLogic, parseNodeName: string, inner: SuccessfulMatchReport);
    readonly offset: number;
    readonly endingOffset: number;
    toValueStructure<T>(): T;
    toPatternMatch<T>(): import("../../PatternMatch").PatternMatch & T;
    readonly matched: string;
    toParseTree(): TreeNodeCompatible;
    toExplanationTree(): MatchExplanationTreeNode;
}
export declare function wrappingFailedMatchReport(matcher: MatchingLogic, params: {
    inner: MatchReport;
    parseNodeName?: string;
    reason?: string;
    offset?: number;
    matched?: string;
}): FailedMatchReport;
