"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractStateMachine_1 = require("../../support/AbstractStateMachine");
/**
 * Convenient superclass for parsing programming language source
 */
class LangStateMachine extends AbstractStateMachine_1.AbstractStateMachine {
    constructor(state) {
        super(state);
        this.previousState = state;
    }
}
exports.LangStateMachine = LangStateMachine;
/**
 * Represents a state in a LangStateMachine
 */
class LangState {
    /**
     * Create a new state
     * @param name name of the state. Merely informative.
     * @param comment is this a comment state? A language
     * can have multiple kinds of comments, such as /* and // comments
     * @param stringLiteral are we in a string literal?
     * A language can have multiple kinds of string literals, like
     * Scala " and """ strings
     */
    constructor(name, comment, stringLiteral) {
        this.name = name;
        this.comment = comment;
        this.stringLiteral = stringLiteral;
    }
    normal() {
        return !(this.comment || this.stringLiteral);
    }
}
exports.LangState = LangState;
//# sourceMappingURL=LangStateMachine.js.map