import { AbstractStateMachine } from "../../../support/AbstractStateMachine";
import { LangState, LangStateMachine } from "../LangStateMachine";
/**
 * Track depth of curlies and parentheses in C family languages
 */
export declare class NestingDepthStateMachine extends AbstractStateMachine<LangState> {
    private readonly kind;
    private readonly factory;
    depth: number;
    private readonly push;
    private readonly pop;
    private readonly stateMachine;
    constructor(kind?: "block" | "parens", factory?: () => LangStateMachine, state?: LangState, depth?: number);
    clone(): NestingDepthStateMachine;
    consume(char: string): void;
}
