/**
 * Convenient operations to skip over input
 */
import { MatchingLogic } from "../../Matchers";
/**
 * Match the rest of the input.
 */
export declare const RestOfInput: MatchingLogic;
/**
 * Match the rest of the current line
 */
export declare const RestOfLine: MatchingLogic;
/**
 * Match a string until the given matcher. Wraps Break.
 * Binds the content until the break.
 */
export declare function takeUntil(what: any): MatchingLogic;
/**
 * Skip all content until the given matcher. Bind its match
 */
export declare function skipTo(what: any): MatchingLogic;
/**
 * Return a match for the first thing if it doesn't
 * @param a desired match
 * @param b match we don't want.
 */
export declare function yadaYadaThenThisButNotThat(a: any, b: any): MatchingLogic;
/**
 * Anything, then the given matcher. Binds the terminal match
 * @param a desired match
 * @returns {Break}
 */
export declare function yadaYadaThen(a: any): MatchingLogic;
