import { InputState } from "../../InputState";
import { MatchingLogic } from "../../Matchers";
import { MatchPrefixResult } from "../../MatchPrefixResult";
import { MatchReport } from "../../MatchReport";
/**
 * Inspired by Snobol SPAN: http://www.snobol4.org/docs/burks/tutorial/ch4.htm
 * SPAN(S) matches one or more subject characters from the set in S.
 * SPAN must match at least one subject character, and will match the LONGEST subject string possible.
 */
export declare class Span implements MatchingLogic {
    characters: string;
    constructor(characters: string);
    readonly $id: string;
    matchPrefix(is: InputState, thisMatchContext: {}, parseContext: {}): MatchPrefixResult;
    matchPrefixReport(is: InputState, thisMatchContext: any, parseContext: any): MatchReport;
}
