import { InputStream } from "./InputStream";
/**
 * Simple implementation of InputStream, backed by a string held in memory.
 */
export declare class StringInputStream implements InputStream {
    readonly content: string;
    private readonly initialOffset;
    offset: number;
    /**
     * Create a new string-backed stream
     * @param content string
     * @param initialOffset initial offset. If supplied this pretends to the left
     * offset of the string. This enables us to match within matches
     */
    constructor(content: string, initialOffset?: number);
    exhausted(): boolean;
    read(n: number): string;
}
