"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Superclass for InputStateListener implementations that consume a single character at a time.
 * Stateful.
 */
class CharwiseInputStateListener {
    read(s) {
        for (const ch of s) {
            this.consume(ch);
        }
        return this;
    }
}
exports.CharwiseInputStateListener = CharwiseInputStateListener;
/**
 * Convenient superclass for InputStateListeners that are state machines
 */
class AbstractStateMachine extends CharwiseInputStateListener {
    constructor(state) {
        super();
        this.state = state;
    }
}
exports.AbstractStateMachine = AbstractStateMachine;
//# sourceMappingURL=AbstractStateMachine.js.map