import { FulfillableGoalDetails, FulfillableGoalWithRegistrations, Goal, ImplementationRegistration } from "@atomist/sdm";
import { ProjectVersioner } from "../../internal/delivery/build/local/projectVersioner";
/**
 * Register a ProjectVersioner for a certain type of push
 */
export interface ProjectVersionerRegistration extends Partial<ImplementationRegistration> {
    versioner: ProjectVersioner;
}
/**
 * Goal that performs project visioning: For example using Maven to increment the project version number
 */
export declare class Version extends FulfillableGoalWithRegistrations<ProjectVersionerRegistration> {
    constructor(goalDetailsOrUniqueName?: FulfillableGoalDetails | string, ...dependsOn: Goal[]);
    with(registration: ProjectVersionerRegistration): this;
    withVersioner(versioner: ProjectVersioner): this;
}
//# sourceMappingURL=Version.d.ts.map