import { BitBucketServerRepoRef, RemoteRepoRef } from "@atomist/automation-client";
import { CoreRepoFieldsAndChannels, OnPushToAnyBranch, RepoRefResolver, SdmGoalEvent } from "@atomist/sdm";
export declare class DefaultRepoRefResolver implements RepoRefResolver {
    /**
     * Obtain a RemoteRepoRef from the given push, correctly
     * resolving provider.
     * @param {OnPushToAnyBranch.Push} push
     * @return {any}
     */
    repoRefFromPush(push: OnPushToAnyBranch.Push): RemoteRepoRef;
    toBitBucketServerRepoRef(params: {
        providerUrl: string;
        owner: string;
        name: string;
        sha: string;
        branch?: string;
    }): BitBucketServerRepoRef;
    providerIdFromPush(push: OnPushToAnyBranch.Push): string;
    repoRefFromSdmGoal(sdmGoal: SdmGoalEvent): RemoteRepoRef;
    /**
     * Convert GraphQL return to our remote repo ref, instantiating
     * the correct type based on provider
     * @param {CoreRepoFieldsAndChannels.Fragment} repo
     * @param opts options - sha or branch
     * @return {RemoteRepoRef}
     */
    toRemoteRepoRef(repo: CoreRepoFieldsAndChannels.Fragment, opts?: {
        sha?: string;
        branch?: string;
    }): RemoteRepoRef;
}
//# sourceMappingURL=DefaultRepoRefResolver.d.ts.map