import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, FingerprintDifferenceListener, PreferenceStoreFactory, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../../typings/types";
/**
 * React to a PushImpact event to react to semantic diffs
 */
export declare class ReactToSemanticDiffsOnPushImpact implements HandleEvent<schema.OnPushImpact.Subscription> {
    private readonly differenceListeners;
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferencesStoreFactory;
    configuration: Configuration;
    constructor(differenceListeners: FingerprintDifferenceListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferencesStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnPushImpact.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=ReactToSemanticDiffsOnPushImpact.d.ts.map