"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
const decorators_1 = require("@atomist/automation-client/lib/decorators");
const sdm_1 = require("@atomist/sdm");
const cluster = require("cluster");
const goalSigning_1 = require("../../../../internal/signing/goalSigning");
let CancelGoalOnCanceled = class CancelGoalOnCanceled {
    handle(e, ctx) {
        return __awaiter(this, void 0, void 0, function* () {
            const sdmGoal = e.data.SdmGoal[0];
            if (!(yield sdm_1.cancelableGoal(sdmGoal, this.configuration))) {
                automation_client_1.logger.info("Not exciting this process because goal can't be canceled");
                return automation_client_1.Success;
            }
            yield goalSigning_1.verifyGoal(sdmGoal, this.configuration.sdm.goalSigning, ctx);
            automation_client_1.logger.info("Exiting this process because goal was canceled");
            // exit immediately with 0 to make sure k8s doesn't re-schedule this pod
            automation_client_1.automationClientInstance().configuration.ws.termination.graceful = false;
            if (cluster.isWorker) {
                yield automation_client_1.automationClientInstance().webSocketHandler.sendShutdown(0, ctx);
            }
            automation_client_1.safeExit(0);
            return automation_client_1.Success;
        });
    }
};
__decorate([
    automation_client_1.Value("") // empty path returns the entire configuration
    ,
    __metadata("design:type", Object)
], CancelGoalOnCanceled.prototype, "configuration", void 0);
CancelGoalOnCanceled = __decorate([
    decorators_1.EventHandler("Cancel the currently executing goal", () => automation_client_1.GraphQL.subscription({
        name: "OnSpecificCanceledSdmGoal",
        variables: {
            goalSetId: process.env.ATOMIST_GOAL_SET_ID || "n/a",
            uniqueName: process.env.ATOMIST_GOAL_UNIQUE_NAME || "n/a",
        },
    }))
], CancelGoalOnCanceled);
exports.CancelGoalOnCanceled = CancelGoalOnCanceled;
//# sourceMappingURL=CancelGoalOnCanceled.js.map