import { EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, GoalImplementationMapper, PreferenceStoreFactory, RepoRefResolver, SoftwareDeliveryMachineConfiguration } from "@atomist/sdm";
import { OnAnySuccessfulSdmGoal } from "../../../../typings/types";
/**
 * Move downstream goals from 'planned' to 'requested' when preconditions are met.
 */
export declare class RequestDownstreamGoalsOnGoalSuccess implements HandleEvent<OnAnySuccessfulSdmGoal.Subscription> {
    private readonly name;
    private readonly implementationMapper;
    private readonly repoRefResolver;
    private readonly credentialsResolver;
    private readonly preferenceStoreFactory;
    configuration: SoftwareDeliveryMachineConfiguration;
    constructor(name: string, implementationMapper: GoalImplementationMapper, repoRefResolver: RepoRefResolver, credentialsResolver: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<OnAnySuccessfulSdmGoal.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=RequestDownstreamGoalsOnGoalSuccess.d.ts.map