import { EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, GoalCompletionListener, PreferenceStoreFactory, RepoRefResolver, SoftwareDeliveryMachineConfiguration } from "@atomist/sdm";
import { OnAnyCompletedSdmGoal } from "../../../../typings/types";
/**
 * Respond to a failure or success status by running listeners
 */
export declare class RespondOnGoalCompletion implements HandleEvent<OnAnyCompletedSdmGoal.Subscription> {
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly goalCompletionListeners;
    private readonly preferenceStoreFactory;
    configuration: SoftwareDeliveryMachineConfiguration;
    constructor(repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, goalCompletionListeners: GoalCompletionListener[], preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<OnAnyCompletedSdmGoal.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=RespondOnGoalCompletion.d.ts.map