import { AutomationClient, AutomationContextAware, AutomationEventListener, AutomationEventListenerSupport, CommandIncoming, Configuration, EventIncoming, GraphClient, HandlerContext, Maker, MessageClient } from "@atomist/automation-client";
import { HandleCommand } from "@atomist/automation-client/lib/HandleCommand";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { AbstractRequestProcessor } from "@atomist/automation-client/lib/internal/transport/AbstractRequestProcessor";
import { AutomationMetadata } from "@atomist/automation-client/lib/metadata/automationMetadata";
import { AutomationServer } from "@atomist/automation-client/lib/server/AutomationServer";
import { AutomationMetadataProcessor } from "@atomist/automation-client/lib/spi/env/MetadataProcessor";
import { SoftwareDeliveryMachine } from "@atomist/sdm";
export declare class GoalExecutionAutomationEventListener extends AutomationEventListenerSupport {
    private readonly sdm;
    constructor(sdm: SoftwareDeliveryMachine);
    startupSuccessful(client: AutomationClient): Promise<void>;
}
export declare class FilteringMetadataProcessor implements AutomationMetadataProcessor {
    private readonly allowedCommands;
    private readonly allowedEvents;
    constructor(allowedCommandHandlers: Array<Maker<HandleCommand<any>>>, allowedEventHandlers: Array<Maker<HandleEvent<any>>>);
    process<T extends AutomationMetadata>(metadata: T): T;
}
export declare class GoalExecutionRequestProcessor extends AbstractRequestProcessor {
    protected automations: AutomationServer;
    protected configuration: Configuration;
    protected listeners: AutomationEventListener[];
    private readonly graphClients;
    constructor(automations: AutomationServer, configuration: Configuration, listeners?: AutomationEventListener[]);
    protected createGraphClient(event: CommandIncoming | EventIncoming): GraphClient;
    protected createMessageClient(event: EventIncoming | CommandIncoming, context: AutomationContextAware): MessageClient;
    protected sendStatusMessage(payload: any, ctx: HandlerContext & AutomationContextAware): Promise<any>;
}
//# sourceMappingURL=goalExecution.d.ts.map