import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { ClosedIssueListener, CredentialsResolver, PreferenceStoreFactory, RepoRefResolver } from "@atomist/sdm";
import * as schema from "@atomist/sdm/lib/typings/types";
/**
 * A new issue has been created.
 */
export declare class ClosedIssueHandler implements HandleEvent<schema.OnClosedIssue.Subscription> {
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    private readonly closedIssueListeners;
    constructor(closedIssueListeners: ClosedIssueListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnClosedIssue.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=ClosedIssueHandler.d.ts.map