import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, NewIssueListener, PreferenceStoreFactory, RepoRefResolver } from "@atomist/sdm";
import * as schema from "@atomist/sdm/lib/typings/types";
/**
 * A new issue has been created.
 */
export declare class NewIssueHandler implements HandleEvent<schema.OnIssueAction.Subscription> {
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    private readonly newIssueListeners;
    constructor(newIssueListeners: NewIssueListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnIssueAction.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=NewIssueHandler.d.ts.map