import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, RepoRefResolver, UpdatedIssueListener } from "@atomist/sdm";
import * as schema from "@atomist/sdm/lib/typings/types";
/**
 * An issue has been updated
 */
export declare class UpdatedIssueHandler implements HandleEvent<schema.OnIssueAction.Subscription> {
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    private readonly updatedIssueListeners;
    constructor(updatedIssueListeners: UpdatedIssueListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnIssueAction.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=UpdatedIssueHandler.d.ts.map