import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { ChannelLinkListener, CredentialsResolver, PreferenceStoreFactory, ProjectLoader, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A new channel has been linked to a repo
 */
export declare class OnChannelLink implements HandleEvent<schema.OnChannelLink.Subscription> {
    private readonly projectLoader;
    private readonly repoRefResolver;
    private readonly listeners;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(projectLoader: ProjectLoader, repoRefResolver: RepoRefResolver, listeners: ChannelLinkListener[], credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnChannelLink.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnChannelLink.d.ts.map