import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, PushListener, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A new repo has been created, and it has some code in it.
 */
export declare class OnFirstPushToRepo implements HandleEvent<schema.OnFirstPushToRepo.Subscription> {
    private readonly actions;
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(actions: PushListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnFirstPushToRepo.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnFirstPushToRepo.d.ts.map