import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, ProjectLoader, PullRequestListener, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A pull request has been raised
 */
export declare class OnPullRequest implements HandleEvent<schema.OnPullRequest.Subscription> {
    private readonly projectLoader;
    private readonly repoRefResolver;
    private readonly listeners;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(projectLoader: ProjectLoader, repoRefResolver: RepoRefResolver, listeners: PullRequestListener[], credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnPullRequest.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnPullRequest.d.ts.map