import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, RepoCreationListener, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A new repo has been created. We don't know if it has code.
 */
export declare class OnRepoCreation implements HandleEvent<schema.OnRepoCreation.Subscription> {
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    private readonly newRepoActions;
    constructor(newRepoActions: RepoCreationListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnRepoCreation.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnRepoCreation.d.ts.map