import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, ProjectListener, RepoRefResolver } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A repo has been onboarded
 */
export declare class OnRepoOnboarded implements HandleEvent<schema.OnRepoOnboarded.Subscription> {
    private readonly actions;
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(actions: ProjectListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnRepoOnboarded.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnRepoOnboarded.d.ts.map