import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, RepoRefResolver, TagListener } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A new tag has been created
 */
export declare class OnTag implements HandleEvent<schema.OnTag.Subscription> {
    private readonly listeners;
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(listeners: TagListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnTag.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnTag.d.ts.map