import { Configuration, EventFired, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { HandleEvent } from "@atomist/automation-client/lib/HandleEvent";
import { CredentialsResolver, PreferenceStoreFactory, RepoRefResolver, UserJoiningChannelListener } from "@atomist/sdm";
import * as schema from "../../../typings/types";
/**
 * A user joined a channel
 */
export declare class OnUserJoiningChannel implements HandleEvent<schema.OnUserJoiningChannel.Subscription> {
    private readonly listeners;
    private readonly repoRefResolver;
    private readonly credentialsFactory;
    private readonly preferenceStoreFactory;
    configuration: Configuration;
    constructor(listeners: UserJoiningChannelListener[], repoRefResolver: RepoRefResolver, credentialsFactory: CredentialsResolver, preferenceStoreFactory: PreferenceStoreFactory);
    handle(event: EventFired<schema.OnUserJoiningChannel.Subscription>, context: HandlerContext): Promise<HandlerResult>;
}
//# sourceMappingURL=OnUserJoiningChannel.d.ts.map