import { ProjectOperationCredentials, RemoteRepoRef } from "@atomist/automation-client";
import { ArtifactStore, DeployableArtifact } from "@atomist/sdm";
import { AppInfo } from "@atomist/sdm/lib/spi/deploy/Deployment";
import * as GitHubApi from "@octokit/rest";
/**
 * Implement ArtifactStore interface to store artifacts as GitHub releases
 * @deprecated Artifact storage should be done using project listeners
 */
export declare class GitHubReleaseArtifactStore implements ArtifactStore {
    storeFile(appInfo: AppInfo, localFile: string, creds: ProjectOperationCredentials): Promise<string>;
    checkout(url: string, id: RemoteRepoRef, creds: ProjectOperationCredentials): Promise<DeployableArtifact>;
}
export interface Asset {
    url: string;
    browser_download_url: string;
    name: string;
}
export declare function uploadAsset(token: string, owner: string, repo: string, tag: string, path: string, contentType?: string): Promise<Asset>;
export declare function githubApi(token: string, apiUrl?: string): GitHubApi;
//# sourceMappingURL=GitHubReleaseArtifactStore.d.ts.map