"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Is this SDM in local mode?
 * Invoked on client startup.
 */
function isInLocalMode() {
    return process.env.ATOMIST_MODE === "local";
}
exports.isInLocalMode = isInLocalMode;
/**
 * Is this SDM running in local mode?
 */
exports.IsInLocalMode = {
    name: "IsInLocalMode",
    mapping: () => __awaiter(void 0, void 0, void 0, function* () { return isInLocalMode(); }),
};
/**
 * Is this SDM running as a GitHub action?
 * Invoked on client startup.
 */
function isGitHubAction() {
    return !!process.env.GITHUB_WORKFLOW && !!process.env.GITHUB_ACTION && !!process.env.GITHUB_WORKSPACE;
}
exports.isGitHubAction = isGitHubAction;
/**
 * Is this SDM running as a GitHub action?
 */
exports.IsGitHubAction = {
    name: "IsGitHubAction",
    mapping: () => __awaiter(void 0, void 0, void 0, function* () { return isGitHubAction(); }),
};
//# sourceMappingURL=modes.js.map