import { HandlerContext } from "@atomist/automation-client";
import { PreferenceStoreFactory } from "@atomist/sdm";
import { AbstractPreferenceStore, Preference } from "./AbstractPreferenceStore";
/**
 * Factory to create a new InMemoryPreferenceStore instance
 */
export declare const InMemoryPreferenceStoreFactory: PreferenceStoreFactory;
/**
 * PreferenceStore implementation that simply stores preferences in-memory.
 * Note: This is implementation is not intended for production usage.
 */
export declare class InMemoryPreferenceStore extends AbstractPreferenceStore {
    private readonly store;
    constructor(context: HandlerContext);
    protected doGet(name: string, namespace: string): Promise<Preference | undefined>;
    protected doPut(pref: Preference): Promise<void>;
    protected doList(namespace: string): Promise<Preference[]>;
    protected doDelete(name: string, namespace: string): Promise<void>;
}
//# sourceMappingURL=InMemoryPreferenceStore.d.ts.map