import { HandlerContext } from "@atomist/automation-client";
import { PreferenceStoreFactory } from "@atomist/sdm";
import { AbstractPreferenceStore, Preference } from "./AbstractPreferenceStore";
/**
 * Factory to create a new TeamConfigurationPreferenceStore instance
 */
export declare const TeamConfigurationPreferenceStoreFactory: PreferenceStoreFactory;
/**
 * PreferenceStore implementation that stores preferences in the backend GraphQL store.
 */
export declare class TeamConfigurationPreferenceStore extends AbstractPreferenceStore {
    private readonly context;
    constructor(context: HandlerContext);
    protected doGet(name: string, namespace: string): Promise<Preference | undefined>;
    protected doPut(pref: Preference): Promise<void>;
    protected doList(namespace: string): Promise<Preference[]>;
    protected doDelete(name: string, namespace: string): Promise<void>;
}
//# sourceMappingURL=TeamConfigurationPreferenceStore.d.ts.map