import { Configuration } from "@atomist/automation-client";
import { ProgressLog } from "@atomist/sdm";
/**
 * Post log to Atomist Rolar service for it to persist
 */
export declare class RolarProgressLog implements ProgressLog {
    private readonly logPath;
    private readonly logLevel;
    private readonly timestamper;
    private readonly httpClient;
    private localLogs;
    private readonly timer;
    private readonly rolarBaseUrl;
    private readonly bufferSizeLimit;
    private readonly timerInterval;
    private readonly redact;
    constructor(logPath: string[], configuration: Configuration, logLevel?: string, timestamper?: Iterator<Date>);
    get name(): string;
    get url(): string;
    isAvailable(): Promise<boolean>;
    write(msg?: string, ...args: string[]): void;
    flush(): Promise<any>;
    close(): Promise<any>;
    private postLogs;
    private constructUtcTimestamp;
    private constructMillisTimestamp;
}
//# sourceMappingURL=RolarProgressLog.d.ts.map