"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const camelcaseKeys = require("camelcase-keys");
const changeCase = require("change-case");
const _ = require("lodash");
/**
 * Watches the provided paths for changes when in watch mode
 */
function watchPaths(paths) {
    var _a;
    process.env.ATOMIST_WATCH_PATHS =
        _.uniq([...(((_a = process.env.ATOMIST_WATCH_PATHS) === null || _a === void 0 ? void 0 : _a.split(",")) || []), ...paths]).join(",");
}
exports.watchPaths = watchPaths;
function camelCase(obj) {
    if (typeof obj === "string") {
        return camelCaseString(obj);
    }
    else if (Array.isArray(obj)) {
        return obj.map(camelCase);
    }
    else if (!obj) {
        return obj;
    }
    return camelcaseKeys(obj, { deep: true });
}
exports.camelCase = camelCase;
function camelCaseString(key) {
    return key.split(".").map(k => changeCase.camel(k)).join(".");
}
//# sourceMappingURL=util.js.map