"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sdm_1 = require("@atomist/sdm");
const modes_1 = require("../../internal/machine/modes");
const statusSetters_1 = require("./statusSetters");
/**
 * Manage a GitHub status per SDM
 */
function githubGoalStatusSupport() {
    return Object.assign(Object.assign({}, sdm_1.metadata("github-goal-status")), { configure: sdm => {
            if (!modes_1.isGitHubAction() && !modes_1.isInLocalMode()) {
                sdm.addGoalsSetListener(statusSetters_1.createPendingGitHubStatusOnGoalSet(sdm));
                sdm.addGoalCompletionListener(statusSetters_1.setGitHubStatusOnGoalCompletion(sdm));
            }
        } });
}
exports.githubGoalStatusSupport = githubGoalStatusSupport;
/**
 * @deprecated use githubGoalStatusSupport
 */
function gitHubGoalStatus() {
    return githubGoalStatusSupport();
}
exports.gitHubGoalStatus = gitHubGoalStatus;
//# sourceMappingURL=github.js.map