import { ExtensionPack, SdmGoalState } from "@atomist/sdm";
/**
 * Configuration options for the goal state support
 */
export interface GoalStateOptions {
    /** Configure the goal cancellation support */
    cancellation?: {
        /** Enable goal cancellation based on timeouts */
        enabled?: boolean;
        /**
         * Optionally set the timeout after which goals should be cancelled.
         * Defaults to 1 hour.
         */
        timeout?: number;
        /**
         * Optional state the goal should be set to when it times out
         * Defaults to SdmGoalState.canceled
         */
        state?: SdmGoalState.canceled | SdmGoalState.failure;
    };
}
/**
 * Allow goal setting
 */
export declare function goalStateSupport(options?: GoalStateOptions): ExtensionPack;
/**
 * @deprecated use goalStateSupport
 */
export declare function goalState(): ExtensionPack;
//# sourceMappingURL=goalState.d.ts.map