"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sdm_1 = require("@atomist/sdm");
const SelfDescribe_1 = require("./SelfDescribe");
/**
 * Expose information about this machine
 */
function infoSupport() {
    return Object.assign(Object.assign({}, sdm_1.metadata("info")), { configure: sdm => {
            sdm.addCommand(SelfDescribe_1.selfDescribeCommand(sdm));
        } });
}
exports.infoSupport = infoSupport;
/**
 * @deprecated use infoSupport
 */
function exposeInfo() {
    return infoSupport();
}
exports.exposeInfo = exposeInfo;
//# sourceMappingURL=exposeInfo.js.map