import { CommandInvocation, HandlerContext, ParameterType } from "@atomist/automation-client";
import { CommandHandlerMetadata } from "@atomist/automation-client/lib/metadata/automationMetadata";
/**
 * Prepare the CommandInvocation instance to be sent for execution
 *
 * This pieces apart provided values form the parameters into the command's parameter, mapped parameter
 * and secret structures.
 */
export declare function prepareCommandInvocation(md: CommandHandlerMetadata, parameters?: ParameterType): CommandInvocation;
/**
 * Decorate the HandlerContext to support response messages for this event handler invocation.
 *
 * Task execution happens is rooted in an event handler executing; this would prevent response
 * messages to work out of the box which is why this function adds the respond function to the
 * MessageClient if possible.
 */
export declare function prepareHandlerContext(ctx: HandlerContext, trigger: any): HandlerContext;
//# sourceMappingURL=helpers.d.ts.map