"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sdm_1 = require("@atomist/sdm");
const executeTask_1 = require("./executeTask");
/**
 * Extension pack installing job execution support into
 * the SDM
 *
 * This extension pack is installed by default.
 */
function jobSupport() {
    return Object.assign(Object.assign({}, sdm_1.metadata("job")), { configure: sdm => {
            sdm.addEvent(executeTask_1.executeTask(sdm));
        } });
}
exports.jobSupport = jobSupport;
//# sourceMappingURL=job.js.map