import { ExecuteGoalResult, GoalInvocation, GoalScheduler } from "@atomist/sdm";
export interface KubernetesFulfillmentOptions {
    registration?: string | ((gi: GoalInvocation) => Promise<string>);
    name?: string | ((gi: GoalInvocation) => Promise<string>);
}
export declare const DefaultKubernetesFulfillmentOptions: {
    registration: string;
    name: string;
};
/**
 * GoalScheduler implementation that redirects goals to a registered k8s-sdm for
 * fulfillment.
 *
 * This is useful in runtimes that don't support launching container goals such as
 * FaaS environments like Google Cloud Functions.
 */
export declare class KubernetesFulfillmentGoalScheduler implements GoalScheduler {
    private readonly options;
    constructor(options?: KubernetesFulfillmentOptions);
    schedule(gi: GoalInvocation): Promise<ExecuteGoalResult>;
    supports(gi: GoalInvocation): Promise<boolean>;
}
//# sourceMappingURL=KubernetesFulfillmentGoalScheduler.d.ts.map