"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
const k8s = require("@kubernetes/client-node");
/**
 * Get Kubernetes configuration either from the creds directory or the
 * in-cluster client.
 */
function loadKubeConfig() {
    const kc = new k8s.KubeConfig();
    try {
        kc.loadFromDefault();
    }
    catch (e) {
        automation_client_1.logger.debug("Failed to to load default config, attempting in-cluster");
        kc.loadFromCluster();
    }
    return kc;
}
exports.loadKubeConfig = loadKubeConfig;
function loadKubeClusterConfig() {
    const kc = new k8s.KubeConfig();
    try {
        kc.loadFromCluster();
    }
    catch (e) {
        automation_client_1.logger.debug("Failed to to load in-cluster config, attempting default");
        try {
            kc.loadFromDefault();
        }
        catch (ex) {
            automation_client_1.logger.debug("Failed to to load default config");
        }
    }
    return kc;
}
exports.loadKubeClusterConfig = loadKubeClusterConfig;
//# sourceMappingURL=config.js.map