import { CommandHandlerMetadata } from "@atomist/automation-client/lib/metadata/automationMetadata";
import { LocalSoftwareDeliveryMachineOptions } from "@atomist/sdm-core";
import { AutomationClientConnectionRequest } from "./invocation/http/AutomationClientConnectionRequest";
/**
 * Parallels what's returned from automation client
 */
export interface ConnectedClient {
    api_version: string;
    name: string;
    version: string;
    team_ids: string[];
    commands: CommandHandlerMetadata[];
}
/**
 * Information held in client about an automation client that we've connected to
 */
export interface AutomationClientInfo {
    /**
     * If we client to a sdm.machine, include this
     */
    client?: ConnectedClient;
    /**
     * How to connect to this client
     */
    location: AutomationClientConnectionRequest;
    /**
     * If this is a local SDM, include information about its local configuration
     * so we know what expanded directory it uses etc
     */
    localConfig?: LocalSoftwareDeliveryMachineOptions;
}
