import { ConfigureMachine, ExtensionPack } from "@atomist/sdm";
import { AutomationClientInfo } from "../AutomationClientInfo";
/**
 * Default port on which to start an embedded machine.
 * @type {number}
 */
export declare const DefaultEmbeddedMachinePort = 2900;
/**
 * Options for starting an embedded machine.
 */
export interface EmbeddedMachineOptions {
    /**
     * Machine name if we choose to customize it
     */
    name?: string;
    repositoryOwnerParentDirectory?: string;
    configure: ConfigureMachine;
    port?: number;
    /**
     * Whether to suppress log output. It will normally
     * be routed to the console.
     */
    suppressConsoleLog?: boolean;
    /**
     * Extension packs to add if we choose to control it directly.
     * Default will be local lifecycle to console
     */
    extensionPacks?: ExtensionPack[];
}
/**
 * Create an embedded SDM to perform bootstrap commands such as
 * generating a new SDM
 * @return {Promise<AutomationClientConnectionConfig>}
 */
export declare function startEmbeddedMachine(options: EmbeddedMachineOptions): Promise<AutomationClientInfo>;
