import { WorkspaceContextResolver } from "../../common/binding/WorkspaceContextResolver";
import { GitHookInvocation } from "../invocation/git/handleGitHookEvent";
/**
 * Process the given args (probably from process.argv) into a
 * GitHookInvocation
 * Note that this is not intended for use by humans, but only from our installed git hooks.
 * @param {string[]} argv command line args
 * @param teamContextResolver resolver to find team id
 * @return {GitHookInvocation}
 */
export declare function argsToGitHookInvocation(argv: string[], teamContextResolver: WorkspaceContextResolver): Promise<GitHookInvocation>;
/**
 * Determine project directory from directory which may include .git
 * or .git/hooks.
 *
 * @param dir directory to clean
 * @return base directory with any .git tail and trailing slash removed
 */
export declare function cleanBaseDir(dir: string): string;
/**
 * Remove leading refs/heads from Git branch.
 *
 * @param fullBranch complete Git branch specification
 * @return simple branch name
 */
export declare function cleanBranch(fullBranch: string): string;
