import { Microgrammar } from "@atomist/microgrammar";
import { WorkspaceContextResolver } from "../../../common/binding/WorkspaceContextResolver";
import { AutomationClientInfo } from "../../AutomationClientInfo";
import { YargBuilder } from "./support/yargBuilder";
/**
 * Takes the same arguments as Git clone but onboards the repo with Atomist.
 * We suppress certain flags like 'bare' as they don't make sense when we need
 * to install Atomist git hooks.
 * @param {AutomationClientInfo[]} clients
 * @param {YargBuilder} yargs
 * @param workspaceContextResolver
 */
export declare function addCloneCommand(clients: AutomationClientInfo[], yargs: YargBuilder, workspaceContextResolver: WorkspaceContextResolver): void;
/**
 * Parse a command line to git clone, e.g. git clone https://github.com/owner/repo
 * @type {Microgrammar<{base: string; owner: string; repo: string}>}
 */
export declare const GitRemoteParser: Microgrammar<{
    base: string;
    owner: string;
    repo: string;
}>;
