"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const consoleOutput_1 = require("../../ui/consoleOutput");
const renderClientInfo_1 = require("../../ui/renderClientInfo");
const suggestStartingAllMessagesListener_1 = require("./support/suggestStartingAllMessagesListener");
/**
 * Show all connected local SDMs
 * @param {AutomationClientInfo[]} clients
 * @param {YargBuilder} YargBuilder
 */
function addShowSdmsCommand(clients, yargBuilder) {
    yargBuilder.command({
        command: "show sdms",
        describe: "Show connected sdms",
        handler: () => {
            return consoleOutput_1.logExceptionsToConsole(() => __awaiter(this, void 0, void 0, function* () {
                yield suggestStartingAllMessagesListener_1.suggestStartingAllMessagesListener();
                consoleOutput_1.infoMessage(renderClientInfo_1.renderClientsInfo(clients));
            }), true);
        },
    });
}
exports.addShowSdmsCommand = addShowSdmsCommand;
//# sourceMappingURL=addShowSdmsCommand.js.map