import { RemoteRepoRef } from "@atomist/automation-client";
import { CodeTransform, GeneratorRegistration } from "@atomist/sdm";
import { NodeProjectCreationParameters } from "./NodeProjectCreationParameters";
/**
 * Generator that can create a new Node project. Parameterized
 * by name, starting point and tags.
 */
export declare function nodeGenerator(name: string, startingPoint: RemoteRepoRef, transforms?: Array<CodeTransform<any>>, ...tags: string[]): GeneratorRegistration<NodeProjectCreationParameters>;
/**
 * Creates a new repo based on the content of an existing repo
 * without making any changes
 */
export declare const superforkGenerator: GeneratorRegistration<{
    owner: string;
    repo: string;
}>;
