"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const httpMessaging_1 = require("../../../../common/ui/httpMessaging");
const consoleOutput_1 = require("../../../ui/consoleOutput");
/**
 * Display the description of a command before invoking it
 * @type {{before: (chm) => Promise<void>}}
 */
exports.ShowDescriptionListener = {
    before: (chm) => __awaiter(void 0, void 0, void 0, function* () {
        if (!!chm.description) {
            consoleOutput_1.infoMessage(chm.description + "\n");
        }
    }),
};
/**
 * Send a message to the Atomist listener
 * @type {{before: (chm) => Promise<void>}}
 */
exports.PostToAtomistListenerListener = {
    onDispatch: (chm) => __awaiter(void 0, void 0, void 0, function* () {
        const message = `Starting execution of command ${chalk_1.default.bold(chm.name)}`;
        return httpMessaging_1.sendDiagnosticMessageToAllMessagesListener(message);
    }),
};
//# sourceMappingURL=commandInvocationListeners.js.map