import { CommandResult } from "./verifyCommandResult";
/**
 * Verify that the correct version of the JDK is present
 * @return {Promise<void>}
 */
export declare function verifyJDK(): Promise<void>;
/**
 * Verify that the correct version of Maven is present
 * @return {Promise<void>}
 */
export declare function verifyMaven(): Promise<void>;
/**
 * The Java version string format keeps changing -
 * https://www.journaldev.com/20930/check-java-version
 * @param {CommandResult} r
 * @return {boolean}
 */
export declare function verifyJavaTest(r: CommandResult): boolean;
export declare function verifyMavenTest(r: CommandResult): boolean;
