/// <reference types="yargs" />
import { CommandLine } from "./commandLine";
import { HandleInstructions } from "./handleInstruction";
import { Built, CommandLineParameter, ConflictResolution, ParameterOptions, PositionalOptions, YargBuilder, YargCommand, YargRunnableCommandSpec } from "./interfaces";
export declare function yargCommandWithPositionalArguments(params: {
    command: string;
    describe: string;
    handler: (argObject: any) => Promise<any>;
    parameters?: CommandLineParameter[];
    positional: Array<{
        key: string;
        opts: PositionalOptions;
    }>;
    conflictResolution?: ConflictResolution;
}): YargCommand;
export declare function positionalCommand(conflictResolution: ConflictResolution, spec: YargRunnableCommandSpec): YargCommand;
declare class YargSaverPositionalCommand implements YargCommand {
    readonly parameters: CommandLineParameter[];
    readonly commandName: string;
    readonly conflictResolution: ConflictResolution;
    readonly description: string;
    readonly handleInstructions: HandleInstructions;
    readonly commandLine: CommandLine;
    readonly isRunnable: boolean;
    readonly positionalArguments: Array<{
        key: string;
        opts: PositionalOptions;
    }>;
    readonly helpMessages: string[];
    readonly contributorName: string;
    withSubcommand(): never;
    constructor(spec: YargRunnableCommandSpec & {
        conflictResolution: ConflictResolution;
    });
    withParameter(p: CommandLineParameter): this;
    addHelpMessages(strs: string[]): void;
    option(parameterName: string, opts: ParameterOptions): YargBuilder;
    demandCommand(): YargBuilder;
    command(): YargBuilder;
    build(): Built;
}
export declare function hasPositionalArguments(ys: YargCommand): ys is YargSaverPositionalCommand;
export {};
