import { EventSender } from "../../../common/invocation/EventHandlerInvocation";
import { InvocationTarget } from "../../../common/invocation/InvocationTarget";
import { AutomationClientConnectionRequest } from "./AutomationClientConnectionRequest";
import { AutomationClientFinder } from "./AutomationClientFinder";
/**
 * Invoke the event handler on all these clients
 * @param {AutomationClientFinder} clientFinder
 * @param {InvocationTarget} target
 * @return {EventSender}
 */
export declare function invokeEventHandlerUsingHttpOnAll(clientFinder: AutomationClientFinder, target: InvocationTarget): Promise<EventSender>;
/**
 * Return an event invoker using HTTP to the given address
 * @return {Promise<HandlerResult>}
 */
export declare function invokeEventHandlerUsingHttp(location: AutomationClientConnectionRequest, target: InvocationTarget): EventSender;
