import { AutomationClientInfo } from "../../../AutomationClientInfo";
import { AutomationClientFinder } from "../AutomationClientFinder";
export interface PortRangeOptions {
    lowerPort: number;
    /**
     * Number of ports to check
     */
    checkRange: number;
    /**
     * Additional ports to try to connect to.
     * Used for well-known ports
     */
    additionalPorts?: number[];
}
/**
 * Look across a range of ports
 */
export declare class PortRangeAutomationClientFinder implements AutomationClientFinder {
    private readonly options;
    findAutomationClients(): Promise<AutomationClientInfo[]>;
    constructor(opts?: Partial<PortRangeOptions>);
}
