"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const LowerPort = 10000;
const portfinder = require("portfinder");
// Keep track of ports we've used
const pidToPort = [];
/**
 * Return the port to listen on for this process id.
 * Keep track of ports we've used
 * @param {number} pid
 * @return {number}
 */
function portToListenOnFor(pid) {
    return __awaiter(this, void 0, void 0, function* () {
        const foundPort = pidToPort[pid];
        if (foundPort !== undefined) {
            return foundPort;
        }
        const port = yield portfinder.getPortPromise({ /*host: this.options.baseUrl,*/ port: LowerPort });
        pidToPort[pid] = port;
        return port;
    });
}
exports.portToListenOnFor = portToListenOnFor;
//# sourceMappingURL=portAllocation.js.map