import { LocalProject } from "@atomist/automation-client";
/**
 * Add Git hooks to the given repo
 * @param {string} projectBaseDir
 * @return {Promise<void>}
 */
export declare function addGitHooks(projectBaseDir: string): Promise<void>;
export declare function addGitHooksToProject(p: LocalProject): Promise<void>;
export declare function removeGitHooks(baseDir: string): Promise<void>;
export declare function removeGitHooksFromProject(p: LocalProject): Promise<void>;
/**
 * Update the Atomist script element if found
 */
export declare function reatomizeScript(p: LocalProject, scriptPath: string, newContent: string): Promise<LocalProject>;
/**
 * Remove Atomist hook from this script
 * @param {LocalProject} p
 * @param {string} scriptPath
 * @return {Promise<void>}
 */
export declare function deatomizeScript(p: LocalProject, scriptPath: string): Promise<LocalProject>;
/**
 * Make it clear this is Atomist content. Makes it easy to remove later.
 * @param {string} toAppend
 * @return {string}
 */
export declare function markAsAtomistContent(toAppend: string): string;
