"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const marked = require("marked");
const TerminalRenderer = require("marked-terminal");
const path = require("path");
marked.setOptions({
    // Define custom renderer
    renderer: new TerminalRenderer(),
});
/**
 * Render a documentation chunk from the base of this project
 * @param {string} relativePath
 * @return {string}
 */
function renderProjectDocChunk(relativePath) {
    const location = path.join(__dirname, "../../..", relativePath);
    return renderDocChunk(location);
}
exports.renderProjectDocChunk = renderProjectDocChunk;
function renderDocChunk(location) {
    try {
        const chunk = fs.readFileSync(location).toString();
        return marked(chunk).trim();
    }
    catch (e) {
        return "Failed to resolve doc chunk at " + location;
    }
}
exports.renderDocChunk = renderDocChunk;
//# sourceMappingURL=docChunk.js.map