import { SdmGoalWithPushFields } from "@atomist/sdm";
import { LocalSoftwareDeliveryMachineOptions } from "@atomist/sdm-core";
import { EventSender } from "../invocation/EventHandlerInvocation";
import Push = SdmGoalWithPushFields.Push;
/**
 * Any event on a local repo
 */
export interface EventOnRepo {
    baseDir: string;
    branch: string;
    sha: string;
}
export declare function isValidSHA1(s: string): boolean;
/**
 * Perform push-based event handling on this repo
 */
export declare function handlePushBasedEventOnRepo(workspaceId: string, sender: EventSender, opts: LocalSoftwareDeliveryMachineOptions, payload: EventOnRepo, eventHandlerName: string, pushToPayload?: (p: Push) => object): Promise<any>;
