import { GitProject, RepoRef } from "@atomist/automation-client";
import { CoreRepoFieldsAndChannels, OnPushToAnyBranch } from "@atomist/sdm";
export declare function repoFieldsFromProject(workspaceId: string, id: RepoRef): CoreRepoFieldsAndChannels.Fragment;
/**
 * Make a push to send to the Atomist event endpoint from the last commit to this local git project.
 * @param workspaceId id of current team
 * @param branch of the commit to process
 * @param sha sha of the commit to process
 * @param {GitProject} project
 * @return {OnPushToAnyBranch.Push}
 */
export declare function pushFromLastCommit(workspaceId: string, branch: string, sha: string, project: GitProject): Promise<OnPushToAnyBranch.Push>;
