import { Destination, MessageOptions } from "@atomist/automation-client";
import { AutomationClientConnectionRequest } from "../../cli/invocation/http/AutomationClientConnectionRequest";
export declare const MessageRoute = "/message";
export declare const GoalRoute = "/goal";
export declare const AllMessagesPort = 6660;
/**
 * Payload data structure used by HTTP message communication
 * (HttpMessageListener/HttpMessageClient)
 */
export interface StreamedMessage {
    message: any;
    destinations: Destination[];
    options: MessageOptions;
    machineAddress: AutomationClientConnectionRequest;
}
/**
 * Write a raw message to the listener
 * @param {string} message
 * @return {Promise<void>}
 */
export declare function sendDiagnosticMessageToAllMessagesListener(message: string, ...args: any[]): Promise<void>;
/**
 * Convenient function to log in the present process and send a message
 * to the all messages listener, which will be displayed if it's in verbose mode.
 * Typically used when we want to send information about events within the
 * SDM process to a user debugging sdm-local.
 */
export declare function logAndSend(msg: string, ...args: any[]): Promise<void>;
