"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sdm_1 = require("@atomist/sdm");
const sdm_core_1 = require("@atomist/sdm-core");
const IsSdm_1 = require("./IsSdm");
const LocalSdmDelivery_1 = require("./LocalSdmDelivery");
/**
 * Extension pack that automatically delivers an SDM
 */
function sdmCd(options) {
    return Object.assign(Object.assign({}, sdm_1.metadata()), { name: "SdmCd", configure: sdm => {
            LocalSdmDelivery_1.LocalSdmDelivery.with({
                name: "local-delivery",
                goalExecutor: LocalSdmDelivery_1.executeLocalSdmDelivery(options),
            });
            sdm.addGoalContributions(sdm_1.whenPushSatisfies(IsSdm_1.IsSdm, sdm_core_1.IsInLocalMode).setGoals(new sdm_1.Goals("delivery", LocalSdmDelivery_1.LocalSdmDelivery)));
        } });
}
exports.sdmCd = sdmCd;
//# sourceMappingURL=SdmCd.js.map