"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
const configuration_1 = require("@atomist/automation-client/lib/configuration");
const _ = require("lodash");
let EnvironmentTokenCredentialsResolver = class EnvironmentTokenCredentialsResolver {
    constructor() {
        this.credentials = credentialsFromEnvironment();
    }
    eventHandlerCredentials() {
        return this.credentials;
    }
    commandHandlerCredentials() {
        return this.credentials;
    }
};
EnvironmentTokenCredentialsResolver = __decorate([
    automation_client_1.Parameters(),
    __metadata("design:paramtypes", [])
], EnvironmentTokenCredentialsResolver);
exports.EnvironmentTokenCredentialsResolver = EnvironmentTokenCredentialsResolver;
const DefaultGitHubToken = "not.a.real.token";
function credentialsFromEnvironment() {
    let token;
    try {
        return { token: automation_client_1.configurationValue("token") };
    }
    catch (err) {
        const config = configuration_1.getUserConfig();
        if (config) {
            token = _.get(config, "token");
            if (token) {
                return { token };
            }
        }
    }
    token = process.env.GITHUB_TOKEN;
    if (!token) {
        automation_client_1.logger.info("GITHUB_TOKEN not set in environment: Defaulting to '%s'", DefaultGitHubToken);
        token = DefaultGitHubToken;
    }
    return { token };
}
exports.credentialsFromEnvironment = credentialsFromEnvironment;
//# sourceMappingURL=EnvironmentTokenCredentialsResolver.js.map