import { GraphClient, MutationOptions, QueryOptions } from "@atomist/automation-client";
/**
 * Local graph client. Returns empty result set or throws an
 * exception on all calls. GraphQL is not presently supported in Local SDM.
 */
export declare class LocalGraphClient implements GraphClient {
    private readonly showErrorStacks;
    endpoint: string;
    executeMutation<T, Q>(mutation: string, variables?: Q, options?: any): Promise<T>;
    executeMutationFromFile<T, Q>(path: string, variables?: Q, options?: any, current?: string): Promise<T>;
    executeQuery<T, Q>(query: string, variables?: Q, options?: any): Promise<T>;
    executeQueryFromFile<T, Q>(path: string, variables?: Q, options?: any, current?: string): Promise<T>;
    mutate<T, Q>(optionsOrName: MutationOptions<Q> | string): Promise<T>;
    query<T, Q>(optionsOrName: QueryOptions<Q> | string): Promise<T>;
    constructor(showErrorStacks: boolean);
}
