import { Action, SlackMessage } from "@atomist/slack-messages";
export declare const ActionRoute = "/action";
/**
 * Save all the actions we have sent, so that we can retrieve them by key later
 * This lets us put short links on the console, and invoke commands with them
 *
 * it's really a URL shortener. I didn't find any in-memory shorteners lying around as middleware
 */
export interface ActionStore {
    storeActions(sm: SlackMessage): Promise<void>;
    getAction(key: ActionKey): Promise<Action>;
}
declare type ActionKey = string;
export declare function freshActionStore(): ActionStore;
export declare function actionKeyFor(message: SlackMessage, index: number): ActionKey;
export declare function actionDescription(action: Action): string;
export {};
