import { Destination, MessageClient, MessageOptions, SlackMessageClient } from "@atomist/automation-client";
import { SlackMessage } from "@atomist/slack-messages";
/**
 * MessageClient implementation that delegates to many message clients
 */
export declare class BroadcastingMessageClient implements MessageClient, SlackMessageClient {
    private readonly delegates;
    addressChannels(msg: string | SlackMessage, channels: string | string[], options?: MessageOptions): Promise<any>;
    addressUsers(msg: string | SlackMessage, users: string | string[], options?: MessageOptions): Promise<any>;
    respond(msg: any, options?: MessageOptions): Promise<any>;
    send(msg: any, destinations: Destination | Destination[], options?: MessageOptions): Promise<any>;
    constructor(...delegates: Array<MessageClient & SlackMessageClient>);
}
