import { RemoteRepoRef } from "@atomist/automation-client";
import { CoreRepoFieldsAndChannels, OnPushToAnyBranch, RepoRefResolver, ScmProvider, SdmGoalEvent } from "@atomist/sdm";
import { LocalSoftwareDeliveryMachineOptions } from "@atomist/sdm-core";
/**
 * Resolve RepoRefs into our expanded tree structure
 */
export declare class ExpandedTreeRepoRefResolver implements RepoRefResolver {
    readonly opts: LocalSoftwareDeliveryMachineOptions;
    providerIdFromPush(push: OnPushToAnyBranch.Push): string | null;
    repoRefFromPush(push: OnPushToAnyBranch.Push): RemoteRepoRef;
    repoRefFromSdmGoal(sdmGoal: SdmGoalEvent, provider: ScmProvider.ScmProvider): RemoteRepoRef;
    toRemoteRepoRef(repo: CoreRepoFieldsAndChannels.Fragment, opts: {
        sha?: string;
        branch?: string;
    }): RemoteRepoRef;
    constructor(opts: LocalSoftwareDeliveryMachineOptions);
}
