import { GitProject } from "@atomist/automation-client";
import { ProjectLoader, ProjectLoadingParameters, WithLoadedProject } from "@atomist/sdm";
import { LocalSoftwareDeliveryMachineOptions } from "@atomist/sdm-core";
/**
 * Local project loader backed by expanded directory tree.
 * Modifies push behavior before acting on project,
 * and prefers local directories if found on disk
 */
export declare class FileSystemProjectLoader implements ProjectLoader {
    private readonly delegate;
    private readonly opts;
    private readonly preprocess;
    doWithProject<T>(params: ProjectLoadingParameters, action: WithLoadedProject<T>): Promise<T>;
    constructor(delegate: ProjectLoader, opts: LocalSoftwareDeliveryMachineOptions, preprocess?: (p: GitProject) => Promise<GitProject>);
}
export declare function isAtomistTemporaryBranch(branch: string): boolean;
