import { ProjectOperationCredentials } from "@atomist/automation-client";
import { TargetsParams } from "@atomist/automation-client/lib/operations/common/params/TargetsParams";
import { RepoTargets } from "@atomist/sdm";
import { LocalSoftwareDeliveryMachineOptions } from "@atomist/sdm-core";
import { FileSystemRemoteRepoRef } from "./FileSystemRemoteRepoRef";
/**
 * Repo targeting for local use.
 */
export declare class LocalRepoTargets extends TargetsParams implements RepoTargets {
    private readonly opts;
    apiUrl: string;
    owner: string;
    repo: string;
    branch: string;
    sha: string;
    repos: string;
    token: string;
    readonly credentials: ProjectOperationCredentials;
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * @return {RepoRef}
     */
    readonly repoRef: FileSystemRemoteRepoRef;
    bindAndValidate(): void;
    constructor(opts: LocalSoftwareDeliveryMachineOptions);
}
