import { ConfigurationPostProcessor } from "@atomist/automation-client";
/**
 * Options that are used during configuration of an local SDM but don't get passed on to the
 * running SDM instance
 */
export interface LocalConfigureOptions {
    /**
     * Force startup in local mode
     */
    forceLocal?: boolean;
}
/**
 * Configures an automation client in local mode
 * @param {LocalModeConfiguration} localModeConfiguration
 * @return {ConfigurationPostProcessor}
 */
export declare function configureLocal(options?: LocalConfigureOptions): ConfigurationPostProcessor;
