import { Configuration } from "@atomist/automation-client";
import { LocalSoftwareDeliveryMachineConfiguration } from "@atomist/sdm-core";
import { LocalWorkspaceContext } from "../../common/invocation/LocalWorkspaceContext";
/**
 * Defaults for local-SDM configuration
 */
export declare function defaultLocalSoftwareDeliveryMachineConfiguration(configuration: Configuration, workspaceContext?: LocalWorkspaceContext): LocalSoftwareDeliveryMachineConfiguration;
/**
 * Resolve the repositoryOwnerParentDirectory.
 * This will search in the client configuration, user config in .atomist, at ATOMIST_ROOT env var and
 * lastly default to ~/atomist/projects.
 *
 * The path will get created if it doesn't exist.
 */
export declare function determineDefaultRepositoryOwnerParentDirectory(): string;
/**
 * Resolve the hostname to use for calling local urls.
 * This will search in the client configuration, user config in .atomist and finally
 * default to 127.0.0.1.
 */
export declare function determineDefaultHostUrl(): string;
