import { AutomationEventListenerSupport, HandlerContext, HandlerResult } from "@atomist/automation-client";
import { CommandInvocation } from "@atomist/automation-client/lib/internal/invoker/Payload";
/**
 * Event listener that sends an event on command termination
 */
export declare class NotifyOnCompletionAutomationEventListener extends AutomationEventListenerSupport {
    commandSuccessful(payload: CommandInvocation, ctx: HandlerContext, result: HandlerResult): Promise<void>;
    commandFailed(payload: CommandInvocation, ctx: HandlerContext, error: any): Promise<void>;
}
export interface FailureMessage {
    kind: "failure";
    error: any;
}
export declare function isFailureMessage(o: any): o is FailureMessage;
