import { GitProject } from "@atomist/automation-client";
/**
 * Get the last git commit message
 * @param {GitProject} p
 * @return {Promise<string>}
 */
export declare function lastCommitMessage(p: GitProject): Promise<string>;
export declare function commitMessageForSha(sha: string, p: GitProject): Promise<string>;
export declare function timestampFromCommit(sha: string, p: GitProject): Promise<string>;
/**
 * Retrieve a number of git placeholders in a single call, for a particular sha
 * Return an indexed property by the codes, such as H
 * See https://git-scm.com/docs/git-log
 * @param {GitProject} p
 * @return {Promise<string>}
 */
export declare function retrieveLogDataForSha(sha: string, baseDir: string, ...placeholders: string[]): Promise<{
    [name: string]: string;
}>;
export declare function lastSha(p: GitProject): Promise<string>;
/**
 * Get the last shas for this project
 * @param {GitProject} p
 * @return {Promise<string[]>}
 */
export declare function shaHistory(p: GitProject): Promise<string[]>;
