#! /usr/bin/env node
"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
// Simple script to help encrypt and decrypt secret data
const crypto_1 = require("../lib/support/crypto");
/* tslint:disable:no-console */
function main() {
    return __awaiter(this, void 0, void 0, function* () {
        if (process.argv.length !== 5) {
            console.error(`Usage: secret encrypt|decrypt KEY TEXT`);
            process.exit(2);
        }
        const action = process.argv[2];
        const key = process.argv[3];
        const text = process.argv[4];
        if (action === "encrypt") {
            console.log(yield crypto_1.encrypt(text, key));
        }
        else if (action === "decrypt") {
            console.log(yield crypto_1.decrypt(text, key));
        }
        else {
            console.error(`Unsupported action, must be "encrypt" or "decrypt": ${action}`);
            process.exit(1);
        }
    });
}
main().then(() => process.exit(0), err => {
    console.error(`Unhandled exception: ${err.message}`);
    process.exit(99);
});
//# sourceMappingURL=secret.js.map