import { CommandHandlerRegistration, SoftwareDeliveryMachine } from "@atomist/sdm";
export declare class KubernetesUndeployParameters {
    name: string;
    ns: string;
}
/**
 * Safely remove all resources related to a Kubernetes application.
 *
 * If the SDM configuration says this packs commands should be added,
 * i.e., `sdm.configuration.sdm.k8s.options.addCommands` is `true`,
 * the command will have the intent `kube undeploy SDM_NAME`.
 * Otherwise the command will be registered without an intent.
 */
export declare function kubernetesUndeploy(sdm: SoftwareDeliveryMachine): CommandHandlerRegistration<KubernetesUndeployParameters>;
//# sourceMappingURL=kubernetesUndeploy.d.ts.map