import { ExecuteGoalResult, GoalInvocation, GoalWithFulfillment } from "@atomist/sdm";
/** Standard name for Kubernetes deployment execution goal. */
export declare const KubernetesDeployFulfillerGoalName = "kubernetes-deploy-fulfill";
/**
 * Return a goal with a standard name,
 * [[KubernetesDeployFulfillerGoalName]], that will fulfill a
 * [[KubernetesDeploy]] goal by executing
 * [[executeKubernetesDeployFulfill]].
 */
export declare function kubernetesDeployFulfiller(): GoalWithFulfillment;
/**
 * Type for [[executeKubernetesDeployFulfill]] which is compatible
 * with [[ExecuteGoal]].
 */
export declare type KubernetesDeployFulfillerExecutor = (gi: Pick<GoalInvocation, "context" | "goalEvent" | "progressLog">) => Promise<ExecuteGoalResult>;
/**
 * Extract [[KubernetesApplication]] from goal event data property and
 * deploy the application to the Kubernetes cluster using
 * [[deployApplication]].
 */
export declare const executeKubernetesDeployFulfill: KubernetesDeployFulfillerExecutor;
//# sourceMappingURL=fulfiller.d.ts.map