import * as k8s from "@kubernetes/client-node";
/**
 * Kubernetes API clients used to create/update/delete application
 * resources.
 */
export interface KubernetesClients {
    /** Kubernetes Core client */
    core: k8s.CoreV1Api;
    /** Kubernetes Apps client, GA in Kubernetes 1.9 */
    apps: k8s.AppsV1Api;
    /** Kubernetes Extension client */
    ext: k8s.ExtensionsV1beta1Api;
    /** Kubernetes RBAC client, GA in Kubernetes 1.8 */
    rbac: k8s.RbacAuthorizationV1Api;
}
/**
 * Create the KubernetesClients structure.
 */
export declare function makeApiClients(kc: k8s.KubeConfig): KubernetesClients;
/**
 * Provide no-op client when only want changes persisted to the GitOps
 * sync repo.
 */
export declare function makeNoOpApiClients(): KubernetesClients;
//# sourceMappingURL=clients.d.ts.map