import * as k8s from "@kubernetes/client-node";
import { KubernetesApplication, KubernetesResourceRequest, KubernetesSdm } from "./request";
export declare const defaultNamespace = "default";
/**
 * Create or update a namespace.
 *
 * @param req Kuberenetes application request
 * @return Kubernetes resource spec used to create/patch the resource
 */
export declare function upsertNamespace(req: KubernetesResourceRequest): Promise<k8s.V1Namespace>;
/**
 * Create namespace resource.
 *
 * @param req Kubernetes application
 * @return Kubernetes namespace resource
 */
export declare function namespaceTemplate(req: KubernetesApplication & KubernetesSdm): Promise<k8s.V1Namespace>;
//# sourceMappingURL=namespace.d.ts.map