import { KubernetesApplication } from "./request";
/** Return type from [[patchHeaders]]. */
export interface K8sHeaders {
    headers: {
        [name: string]: string;
    };
}
/**
 * Provide Content-Type header for patch operations.  Valid values for
 * the Content-Type header when using PATCH are
 * "application/json-patch+json", "application/merge-patch+json", and
 * "application/strategic-merge-patch+json".  See
 * https://kubernetes.io/docs/tasks/run-application/update-api-object-kubectl-patch/
 * for details.
 */
export declare function patchHeaders(app: Pick<KubernetesApplication, "patchStrategy">): K8sHeaders;
//# sourceMappingURL=patch.d.ts.map