"use strict";
/*
 * Copyright © 2020 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Provide Content-Type header for patch operations.  Valid values for
 * the Content-Type header when using PATCH are
 * "application/json-patch+json", "application/merge-patch+json", and
 * "application/strategic-merge-patch+json".  See
 * https://kubernetes.io/docs/tasks/run-application/update-api-object-kubectl-patch/
 * for details.
 */
function patchHeaders(app) {
    var _a;
    const contentType = ((_a = app) === null || _a === void 0 ? void 0 : _a.patchStrategy) ? app.patchStrategy : "application/strategic-merge-patch+json";
    return {
        headers: {
            "Content-Type": contentType,
        },
    };
}
exports.patchHeaders = patchHeaders;
//# sourceMappingURL=patch.js.map