import { StartupListener } from "@atomist/sdm";
/**
 * If the SDM is running in local mode, the `DOCKER_HOST` environment
 * variable is not set, and using a minikube cluster, use `minikube
 * docker-env` to set the Docker environment variables.
 */
export declare const minikubeStartupListener: StartupListener;
/**
 * Parse output of `minikube docker-env` and return an object of
 * environment variable names and values.
 *
 * @param env Raw output of `minikube docker-env`
 * @return `{ ENV_VAR1: VALUE1, ENV_VAR2: VALUE2, … }`
 */
export declare function processMinikubeDockeEnv(env: string): Record<string, string>;
//# sourceMappingURL=minikube.d.ts.map