"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const sha_1 = require("../../misc/sha");
/**
 * Convenient superclass for fingerprints.
 * @deprecated use fingerprintOf() from fingerprint pack.
 */
class AbstractFingerprint {
    constructor(name, abbreviation, version, data) {
        this.name = name;
        this.abbreviation = abbreviation;
        this.version = version;
        this.data = data;
        if (data === undefined || data === null) {
            throw new Error("fingerprint data must not be undefined or null");
        }
        this.sha = sha_1.computeShaOf(this.data);
    }
}
exports.AbstractFingerprint = AbstractFingerprint;
//# sourceMappingURL=AbstractFingerprint.js.map