"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable:deprecation
const AbstractFingerprint_1 = require("./AbstractFingerprint");
/**
 * Typed fingerprint. Takes care of serializing the passed in data structure.
 */
class TypedFingerprint extends AbstractFingerprint_1.AbstractFingerprint {
    constructor(name, abbreviation, version, t) {
        super(name, abbreviation, version, JSON.stringify(t));
    }
    /**
     * Return the fingerprint as a JSON object
     * @return {T}
     */
    get object() {
        return JSON.parse(this.data);
    }
}
exports.TypedFingerprint = TypedFingerprint;
//# sourceMappingURL=TypedFingerprint.js.map