import { RemoteRepoRef, SourceLocation } from "@atomist/automation-client";
import { ReviewListener } from "../../../api/listener/ReviewListener";
import { PushImpactResponse } from "../../../api/registration/PushImpactListenerRegistration";
import { ReviewListenerRegistration } from "../../../api/registration/ReviewListenerRegistration";
/**
 * Strategy for deep linking to a source control system.
 */
export declare type DeepLink = (grr: RemoteRepoRef, sourceLocation: SourceLocation) => string;
export interface SlackReviewRoutingParams {
    pushReactionResponse?: PushImpactResponse;
    deepLink: DeepLink;
}
/**
 * Route reviews to Slack in linked channels
 */
export declare function slackReviewListener(opts?: Partial<SlackReviewRoutingParams>): ReviewListener;
export declare function slackReviewListenerRegistration(opts?: Partial<SlackReviewRoutingParams>): ReviewListenerRegistration;
//# sourceMappingURL=slackReviewListener.d.ts.map