import { SoftwareDeliveryMachine } from "../../../api/machine/SoftwareDeliveryMachine";
import { CodeTransformRegistration } from "../../../api/registration/CodeTransformRegistration";
import { CommandHandlerRegistration } from "../../../api/registration/CommandHandlerRegistration";
import { RepoTargetingParameters } from "../../machine/RepoTargetingParameters";
/**
 * Wrap a CodeTransform to determine the target branch of the transform.
 *
 * If the target branch, as expressed by the CodeTransformRegistration.transformPresentation,
 * already exists, the wrapped CodeTransform will run against that branch instead of the
 * requested branch.
 * @param codeTransformRegistration
 * @param sdm
 */
export declare function branchAwareCodeTransform(codeTransformRegistration: CodeTransformRegistration<any>, sdm: SoftwareDeliveryMachine): CommandHandlerRegistration<RepoTargetingParameters>;
//# sourceMappingURL=codeTransformWrapping.d.ts.map