import { CloneOptions } from "@atomist/automation-client";
import { ExecuteGoal } from "../../api/goal/GoalInvocation";
import { AutoInspectRegistration } from "../../api/registration/AutoInspectRegistration";
import { ReviewListenerRegistration } from "../../api/registration/ReviewListenerRegistration";
export interface AutoInspectOptions {
    registrations: Array<AutoInspectRegistration<any, any>>;
    listeners: ReviewListenerRegistration[];
    reportToSlack: boolean;
    cloneOptions?: CloneOptions;
}
/**
 * Execute auto inspections and route or react to review results using review listeners
 * @param autoInspectRegistrations
 * @param reviewListeners listeners to respond to reviews
 * @return {ExecuteGoal}
 */
export declare function executeAutoInspects(options: AutoInspectOptions): ExecuteGoal;
//# sourceMappingURL=executeAutoInspects.d.ts.map