"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
/**
 * Compute the relevant actions for this push. Some may be filtered out
 * by their push tests.
 */
function relevantCodeActions(registrations, pli) {
    return __awaiter(this, void 0, void 0, function* () {
        const relevantAutoInspects = yield Promise.all(registrations.map((t) => __awaiter(this, void 0, void 0, function* () { return (!t.pushTest || (yield t.pushTest.mapping(pli))) ? t : undefined; })))
            .then(elts => elts.filter(x => !!x));
        automation_client_1.logger.debug("Executing code actions on %j. %d are relevant: [%s] of [%s]", pli.id, relevantAutoInspects.length, relevantAutoInspects.map(a => a.name).join(), registrations.map(a => a.name).join());
        return relevantAutoInspects;
    });
}
exports.relevantCodeActions = relevantCodeActions;
//# sourceMappingURL=relevantCodeActions.js.map