import { ProgressLog } from "../../spi/log/ProgressLog";
/**
 * Sometimes new log lines are separated by a character rather than a call to write.
 * For example, when receiving data events from a child process newlines delimit log lines.
 */
export declare class DelimitedWriteProgressLogDecorator implements ProgressLog {
    private readonly delegate;
    private readonly lineDelimiter;
    private lineBuffer;
    constructor(delegate: ProgressLog, lineDelimiter: string);
    get name(): string;
    get url(): string;
    get log(): string;
    isAvailable(): Promise<boolean>;
    write(msg: string, ...args: string[]): void;
    flush(): Promise<void>;
    close(): Promise<void>;
    private writeRemainder;
}
//# sourceMappingURL=DelimitedWriteProgressLogDecorator.d.ts.map