import { ChannelLinkListener } from "../../api/listener/ChannelLinkListenerInvocation";
import { ClosedIssueListener } from "../../api/listener/ClosedIssueListener";
import { FingerprintDifferenceListener } from "../../api/listener/FingerprintDifferenceListener";
import { GoalCompletionListener } from "../../api/listener/GoalCompletionListener";
import { GoalsSetListener } from "../../api/listener/GoalsSetListener";
import { GoalExecutionListener } from "../../api/listener/GoalStatusListener";
import { NewIssueListener } from "../../api/listener/NewIssueListener";
import { ProjectListener } from "../../api/listener/ProjectListener";
import { PullRequestListener } from "../../api/listener/PullRequestListener";
import { PushListener } from "../../api/listener/PushListener";
import { RepoCreationListener } from "../../api/listener/RepoCreationListener";
import { StartupListener } from "../../api/listener/StartupListener";
import { TagListener } from "../../api/listener/TagListener";
import { UpdatedIssueListener } from "../../api/listener/UpdatedIssueListener";
import { UserJoiningChannelListener } from "../../api/listener/UserJoiningChannelListener";
import { ListenerRegistrationManager } from "../../api/machine/ListenerRegistrationManager";
import { TriggeredListenerRegistration } from "../../api/registration/TriggeredListenerRegistration";
/**
 * Listener management offering a fluent builder pattern for registrations.
 * This class is purely a registration store, and has no other behavior.
 */
export declare class ListenerRegistrationManagerSupport implements ListenerRegistrationManager {
    readonly startupListeners: StartupListener[];
    readonly triggeredListeners: TriggeredListenerRegistration[];
    readonly fingerprintDifferenceListeners: FingerprintDifferenceListener[];
    readonly userJoiningChannelListeners: UserJoiningChannelListener[];
    readonly tagListeners: TagListener[];
    readonly newIssueListeners: NewIssueListener[];
    readonly updatedIssueListeners: UpdatedIssueListener[];
    readonly closedIssueListeners: ClosedIssueListener[];
    readonly repoCreationListeners: RepoCreationListener[];
    readonly repoOnboardingListeners: ProjectListener[];
    readonly pullRequestListeners: PullRequestListener[];
    readonly firstPushListeners: PushListener[];
    readonly channelLinkListeners: ChannelLinkListener[];
    readonly goalsSetListeners: GoalsSetListener[];
    readonly goalCompletionListeners: GoalCompletionListener[];
    readonly goalExecutionListeners: GoalExecutionListener[];
    addStartupListener(l: StartupListener): this;
    addTriggeredListener(t: TriggeredListenerRegistration): this;
    addNewIssueListener(e: NewIssueListener): this;
    addUpdatedIssueListener(e: UpdatedIssueListener): this;
    addGoalExecutionListener(e: GoalExecutionListener): this;
    addClosedIssueListener(e: ClosedIssueListener): this;
    addTagListener(e: TagListener): this;
    addChannelLinkListener(e: ChannelLinkListener): this;
    addRepoCreationListener(rcls: RepoCreationListener): this;
    addRepoOnboardingListener(rols: ProjectListener): this;
    addFirstPushListener(pls: PushListener): this;
    addPullRequestListener(pls: PullRequestListener): this;
    addGoalsSetListener(l: GoalsSetListener): this;
    addGoalCompletionListener(l: GoalCompletionListener): this;
    addFingerprintDifferenceListener(fdl: FingerprintDifferenceListener): this;
    addUserJoiningChannelListener(l: UserJoiningChannelListener): this;
}
//# sourceMappingURL=ListenerRegistrationManagerSupport.d.ts.map