import { GitHubRepoRef } from "@atomist/automation-client";
import { LazyProjectLoader, WithLoadedLazyProject } from "../../spi/project/LazyProjectLoader";
import { ProjectLoader, ProjectLoadingParameters } from "../../spi/project/ProjectLoader";
/**
 * Create a lazy view of the given project GitHub, which will materialize
 * the remote project (usually by cloning) only if needed.
 */
export declare class GitHubLazyProjectLoader implements LazyProjectLoader {
    private readonly delegate;
    constructor(delegate: ProjectLoader);
    doWithProject<T>(params: ProjectLoadingParameters, action: WithLoadedLazyProject<T>): Promise<T>;
    get isLazy(): true;
}
export declare function fileContent(token: string, rr: GitHubRepoRef, path: string): Promise<string | undefined>;
//# sourceMappingURL=GitHubLazyProjectLoader.d.ts.map