import { Project } from "@atomist/automation-client";
/**
 * Gather a configuration value from:
 *
 * 1) within a file .atomist/config.json or .atomist/config.yaml within the Project
 * 2) from within the `sdm` property in the wider, globally available configuration. For where these come from, see:
 *  https://atomist.github.io/automation-client/modules/_lib_configuration_.html#loadconfiguration
 * 3) the default passed in, if any
 * 4) ... or else throw.
 *
 * This will not merge the configuration objects. It gives the first one that is not undefined.
 */
export declare function projectConfigurationValue<T>(path: string, p: Project, defaultValue?: T): Promise<T>;
//# sourceMappingURL=projectConfiguration.d.ts.map