import { PushTest } from "../../api/mapping/PushTest";
/**
 * Options to pass to the IsMaterialChange push test
 */
export interface MaterialChangeOptions {
    /**
     * File extensions to watch for
     */
    extensions?: string[];
    /**
     * File paths to watch for
     */
    files?: string[];
    /**
     * Directory paths to watch for
     * Note: This matches on subdirectories
     */
    directories?: string[];
    /**
     * Glob patters to watch for
     */
    globs?: string[];
}
/**
 * Check if a Push represents a material change.
 *
 * Material changes are changes to files that should trigger certain activity
 * or goals. Often simple changes to MD or html files should not trigger a full CI/CD process.
 */
export declare function isMaterialChange(options?: MaterialChangeOptions): PushTest;
export declare function anyFileChanged(options: MaterialChangeOptions, changedFiles: string[]): boolean;
//# sourceMappingURL=materialChangeTest.d.ts.map