"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
const addressChannels_1 = require("../../api/context/addressChannels");
const preferenceStore_1 = require("../../api/context/preferenceStore");
const fakeContext_1 = require("./fakeContext");
/**
 * Used for testing
 * @param {Project} project
 * @param {Partial<PushListenerInvocation>} pli
 * @return {PushListenerInvocation}
 */
function fakePush(project, pli = {}) {
    return Object.assign({ id: project ? project.id : new automation_client_1.GitHubRepoRef("my", "test"), push: {
            id: new Date().getTime() + "_",
            branch: "master",
            after: {
                message: "Some fake commit",
            },
        }, project: project, context: fakeContext_1.fakeContext(), addressChannels: addressChannels_1.AddressNoChannels, configuration: {}, preferences: preferenceStore_1.NoPreferenceStore, credentials: { token: "fake-token" } }, pli);
}
exports.fakePush = fakePush;
//# sourceMappingURL=fakePush.js.map