import { RemoteLocator, SeedDrivenGeneratorParameters } from "@atomist/automation-client";
import { NewRepoCreationParameters } from "@atomist/automation-client/lib/operations/generate/NewRepoCreationParameters";
import { GeneratorConfig } from "./GeneratorConfig";
/**
 * Convenient base class for project generator parameters.
 */
export declare class SeedDrivenGeneratorParametersSupport implements SeedDrivenGeneratorParameters {
    private readonly config?;
    screenName: string;
    version: string;
    seed: string;
    seedOwner: string;
    target: NewRepoCreationParameters;
    slackTeam: string;
    get description(): string;
    /**
     * Resolve the seed repo
     * @return {RemoteLocator}
     */
    get source(): RemoteLocator;
    constructor(config?: GeneratorConfig);
}
//# sourceMappingURL=SeedDrivenGeneratorParametersSupport.d.ts.map