"use strict";
/*
 * Copyright © 2018 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const automation_client_1 = require("@atomist/automation-client");
/**
 * Create an actionable button invoking the given command
 * @param buttonSpec
 * @param commandHandlerRegistration command registration or command name
 * @param parameters parameters to the command
 * @return
 */
function actionableButton(buttonSpec, commandHandlerRegistration, parameters) {
    const name = typeof commandHandlerRegistration === "string" ?
        commandHandlerRegistration : commandHandlerRegistration.name;
    return automation_client_1.buttonForCommand(buttonSpec, name, automation_client_1.mergeParameters(parameters, {}));
}
exports.actionableButton = actionableButton;
/**
 * Create an actionable menu invoking the given command
 * @param menuSpec
 * @param commandHandlerRegistration command registration or command name
 * @param parameterName name of the parameter to bind the menu to
 * @param parameters parameters to the command
 */
function actionableMenu(menuSpec, commandHandlerRegistration, parameterName, parameters) {
    const name = typeof commandHandlerRegistration === "string" ?
        commandHandlerRegistration : commandHandlerRegistration.name;
    return automation_client_1.menuForCommand(menuSpec, name, parameterName, automation_client_1.mergeParameters(parameters, {}));
}
exports.actionableMenu = actionableMenu;
//# sourceMappingURL=buttons.js.map