import { GitlabRepoRef, ProjectOperationCredentials, ValidationResult } from "@atomist/automation-client";
import { FallbackParams } from "@atomist/automation-client/lib/operations/common/params/FallbackParams";
import { TargetsParams } from "@atomist/automation-client/lib/operations/common/params/TargetsParams";
import { RepoTargets } from "../../machine/RepoTargets";
/**
 * Targets for working with BitBucket repo(s).
 * Allows use of regex.
 */
export declare class GitlabRepoTargets extends TargetsParams implements FallbackParams, RepoTargets {
    apiUrl: string;
    url: string;
    owner: string;
    repo: string;
    sha: string;
    branch: string;
    repos: string;
    get credentials(): ProjectOperationCredentials;
    constructor();
    /**
     * Return a single RepoRef or undefined if we're not identifying a single repo
     * @return {RepoRef}
     */
    get repoRef(): GitlabRepoRef;
    bindAndValidate(): ValidationResult;
}
//# sourceMappingURL=GitlabRepoTargets.d.ts.map