/**
 * Strategy for generating goal unique names
 */
export interface GoalNameGenerator {
    /**
     * Generate the name based on given optional prefix
     * @param prefix
     */
    generateName(prefix?: string): string;
}
/**
 * Generates goal names based on source code location.
 * This is stable enough to survive SDM restarts and also supports the cluster and goal forking mode.
 *
 * This implementation has to used directly inside the body of the goal you want to name.
 * Otherwise the source code location might not get captured correctly.
 */
export declare class SourceLocationGoalNameGenerator implements GoalNameGenerator {
    generateName(prefix?: string): string;
}
export declare const DefaultGoalNameGenerator: SourceLocationGoalNameGenerator;
//# sourceMappingURL=GoalNameGenerator.d.ts.map