import { SdmGoalState } from "../../typings/types";
export declare enum SdmGoalFulfillmentMethod {
    Sdm = "sdm",
    SideEffect = "side-effect",
    Other = "other"
}
export interface SdmGoalFulfillment {
    method: SdmGoalFulfillmentMethod;
    registration: string;
    name: string;
}
export interface SdmProvenance {
    correlationId: string;
    registration: string;
    version: string;
    name: string;
    ts: number;
    userId?: string;
    channelId?: string;
}
export interface SdmGoalKey {
    name: string;
    environment: string;
    uniqueName: string;
}
/**
 * Data persisted in the Atomist Cortex
 */
export interface SdmGoalMessage extends SdmGoalKey {
    sha: string;
    branch: string;
    repo: {
        name: string;
        owner: string;
        providerId: string;
    };
    fulfillment: SdmGoalFulfillment;
    /**
     * Current description that goes with the current status
     */
    description: string;
    descriptions: {
        canceled: string;
        completed: string;
        failed: string;
        inProcess: string;
        planned: string;
        requested: string;
        stopped: string;
        skipped: string;
        waitingForApproval: string;
        waitingForPreApproval: string;
    };
    url?: string;
    externalUrls?: Array<{
        label?: string;
        url: string;
    }>;
    goalSet: string;
    registration: string;
    goalSetId: string;
    state: SdmGoalState;
    phase?: string;
    /**
     * Timestamp
     */
    ts: number;
    error?: string;
    retryFeasible?: boolean;
    approval?: SdmProvenance;
    approvalRequired?: boolean;
    preApproval?: SdmProvenance;
    preApprovalRequired?: boolean;
    provenance: SdmProvenance[];
    preConditions: SdmGoalKey[];
    externalKey?: string;
    data?: string;
    parameters?: string;
    version?: number;
}
//# sourceMappingURL=SdmGoalMessage.d.ts.map