import { CloneOptions } from "@atomist/automation-client";
import { AutoInspectRegistration } from "../../registration/AutoInspectRegistration";
import { ReviewListenerRegistration } from "../../registration/ReviewListenerRegistration";
import { Goal } from "../Goal";
import { FulfillableGoalDetails, FulfillableGoalWithRegistrationsAndListeners } from "../GoalWithFulfillment";
/**
 * Options to configure the behavior of the AutoCodeInspection goal.
 */
export interface AutoCodeInspectionOptions {
    /**
     * Report code inspection results to slack
     */
    reportToSlack?: boolean;
    /**
     * In case more Git history is required for running the code inspection, pass
     * appropriate CloneOptions
     * By default only a shallow clone with depth push.commits.length + 1 is executed
     */
    cloneOptions?: CloneOptions;
}
/**
 * Goal that runs code inspections
 */
export declare class AutoCodeInspection extends FulfillableGoalWithRegistrationsAndListeners<AutoInspectRegistration<any, any>, ReviewListenerRegistration> {
    constructor(details?: FulfillableGoalDetails & AutoCodeInspectionOptions, ...dependsOn: Goal[]);
}
//# sourceMappingURL=AutoCodeInspection.d.ts.map