import { FingerprintListener } from "../../listener/FingerprintListener";
import { FingerprinterRegistration } from "../../registration/FingerprinterRegistration";
import { Goal } from "../Goal";
import { FulfillableGoalDetails, FulfillableGoalWithRegistrationsAndListeners } from "../GoalWithFulfillment";
/**
 * Goal that performs fingerprinting. Typically invoked early in a delivery flow.
 * @deprecated use fingerprintSupport with a PushImpact goal
 */
export declare class Fingerprint extends FulfillableGoalWithRegistrationsAndListeners<FingerprinterRegistration, FingerprintListener> {
    constructor(goalDetailsOrUniqueName?: FulfillableGoalDetails | string, ...dependsOn: Goal[]);
}
/**
 * Publish the given fingerprint to Atomist in the given team
 * @return {Promise<void>}
 */
export declare const SendFingerprintToAtomist: FingerprintListener;
//# sourceMappingURL=Fingerprint.d.ts.map