import { SlackMessage } from "@atomist/slack-messages";
import { Goal } from "../Goal";
import { EssentialGoalInfo } from "./createGoal";
/**
 * How to present a suggested goal action to the user
 */
export interface ActionSuggestion extends EssentialGoalInfo {
    message: string | SlackMessage;
    /**
     * URL showing further information if available
     */
    url?: string;
    /**
     * Whether to use standard formatting for an action suggestion.
     * Set to false to gain total control.
     */
    format?: boolean;
}
/**
 * Return a goal that suggests an action to the user.
 */
export declare function suggestAction(suggestion: ActionSuggestion): Goal;
//# sourceMappingURL=suggestAction.d.ts.map