import { PushFields } from "../../typings/types";
import { Goals } from "../goal/Goals";
import { RepoListenerInvocation, SdmListener } from "./Listener";
/**
 * Invokes when goals have been set
 */
export interface GoalsSetListenerInvocation extends RepoListenerInvocation {
    /**
     * The goals that were set
     */
    goalSet: Goals | null;
    /**
     * The id of the goal set
     */
    goalSetId: string;
    /**
     * The name of the goal set
     */
    goalSetName: string;
    /**
     * The Push that the triggered scheduling of these goals
     */
    push: PushFields.Fragment;
}
export declare type GoalsSetListener = SdmListener<GoalsSetListenerInvocation>;
//# sourceMappingURL=GoalsSetListener.d.ts.map