import { Project } from "@atomist/automation-client";
import { PushFields } from "../../typings/types";
import { PushListenerInvocation } from "./PushListener";
/**
 * Invocation object used by most listeners that react to code changes.
 * Provides fuller information about the impact of the push.
 */
export interface PushImpactListenerInvocation extends PushListenerInvocation {
    /**
     * Paths of the files changed in this push.
     * Undefined if it is unknown how many files have changed.
     */
    filesChanged: string[] | undefined;
    /**
     * Head commit on push
     */
    commit: PushFields.Commits;
    /**
     * Project of affected files. May be the same as project, if we can't tell
     * which files were affected.
     */
    impactedSubProject: Project;
}
//# sourceMappingURL=PushImpactListener.d.ts.map