import { ProjectReview } from "@atomist/automation-client";
import { PushImpactResponse } from "../registration/PushImpactListenerRegistration";
import { SdmListener } from "./Listener";
import { PushListenerInvocation } from "./PushListener";
/**
 * Invocation on a completed review.
 */
export interface ReviewListenerInvocation extends PushListenerInvocation {
    /**
     * Consolidated review
     */
    review: ProjectReview;
}
/**
 * Listener invoked when a review has been completed.
 * Listeners will be invoked even in the case of a clean review,
 * without errors or comments.
 */
export declare type ReviewListener = SdmListener<ReviewListenerInvocation, void | PushImpactResponse>;
//# sourceMappingURL=ReviewListener.d.ts.map