/**
 * Describe the type of configuration value
 */
export declare enum ConfigurationValueType {
    Number = 0,
    String = 1,
    Boolean = 2
}
/**
 * Options that are used during configuration of an SDM but don't get passed on to the
 * running SDM instance
 */
export interface ConfigurationValues {
    /**
     * Optional array of required configuration value paths resolved against the root configuration
     */
    requiredConfigurationValues?: Array<string | {
        path: string;
        type: ConfigurationValueType;
    }>;
}
/**
 * Validate the provided configuration
 * @param config
 * @param options
 */
export declare function validateConfigurationValues(config: any, options: ConfigurationValues): void;
//# sourceMappingURL=ConfigurationValues.d.ts.map