import { ProjectOperationCredentials, RemoteRepoRef, ValidationError, ValidationResult } from "@atomist/automation-client";
import { RepoFilter } from "@atomist/automation-client/lib/operations/common/repoFilter";
/**
 * Defines repo targeting for a code inspection or transform
 */
export interface RepoTargets {
    /**
     * Single repo ref we're targeting if there is one
     */
    repoRef: RemoteRepoRef;
    credentials: ProjectOperationCredentials;
    /**
     * Is this repo eligible
     * @param {RemoteRepoRef} id
     * @return {boolean}
     */
    test: RepoFilter;
    /**
     * Optional method to populate and validate
     */
    bindAndValidate(): ValidationResult;
}
export declare function isValidationError(vr: ValidationResult): vr is ValidationError;
//# sourceMappingURL=RepoTargets.d.ts.map