import { AutoCodeInspection } from "../goal/common/AutoCodeInspection";
import { Autofix } from "../goal/common/Autofix";
import { Fingerprint } from "../goal/common/Fingerprint";
import { PushImpact } from "../goal/common/PushImpact";
/**
 * Commonly used goals in an SDM that may be used in creating an ExtensionPack
 */
export interface WellKnownGoals {
    /**
     * pushImpactGoal to add push impact reactions to.
     */
    pushImpactGoal?: PushImpact;
    /**
     * Inspect goal to add inspections to.
     * Review functionality won't work otherwise.
     */
    inspectGoal?: AutoCodeInspection;
    /**
     * Autofix goal to add autofixes to.
     * Autofix functionality won't work otherwise.
     */
    autofixGoal?: Autofix;
    /**
     * Fingerprint goal to add fingerprints to.
     * Fingerprint functionality won't work otherwise.
     * @deprecated use pushImpactGoal instead
     */
    fingerprintGoal?: Fingerprint;
}
//# sourceMappingURL=WellKnownGoals.d.ts.map