"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
function isMapping(a) {
    const maybe = a;
    return !!maybe.name && !!maybe.mapping;
}
exports.isMapping = isMapping;
var MappingCompositionStyle;
(function (MappingCompositionStyle) {
    MappingCompositionStyle["ApplyFunctionToOutput"] = "like Array.map";
})(MappingCompositionStyle = exports.MappingCompositionStyle || (exports.MappingCompositionStyle = {}));
function isExplicableMapping(input) {
    const maybe = input;
    return !!maybe.structure;
}
exports.isExplicableMapping = isExplicableMapping;
function mapMapping(inputMapping, f) {
    return {
        name: inputMapping.name,
        mapping: (input) => {
            return inputMapping.mapping(input).then(f);
        },
        structure: {
            component: inputMapping,
            applyFunction: f,
            compositionStyle: MappingCompositionStyle.ApplyFunctionToOutput,
        },
    };
}
exports.mapMapping = mapMapping;
//# sourceMappingURL=Mapping.js.map