import { NoParameters } from "@atomist/automation-client";
import { CodeTransformOrTransforms } from "./CodeTransform";
import { PushSelector } from "./PushRegistration";
export interface AutofixRegistrationOptions {
    ignoreFailure: boolean;
}
/**
 * Register an autofix. This is a transform run on every commit that will make a
 * commit if necessary to the same branch.
 */
export interface AutofixRegistration<P = NoParameters> extends PushSelector {
    transform: CodeTransformOrTransforms<P>;
    options?: AutofixRegistrationOptions;
    /**
     * Parameters used for all transforms
     */
    parametersInstance?: P;
}
//# sourceMappingURL=AutofixRegistration.d.ts.map