"use strict";
/*
 * Copyright © 2019 Atomist, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Different strategies to ask for parameters in chat or web
 */
var ParameterStyle;
(function (ParameterStyle) {
    /** Parameter questions will be prompted in a dialog */
    ParameterStyle["Dialog"] = "dialog";
    /** Parameter questions will be prompted in a thread */
    ParameterStyle["Threaded"] = "threaded";
    /**
     * Parameter questions will be prompted in the channel where the
     * command is being run
     */
    ParameterStyle["Unthreaded"] = "unthreaded";
    /**
     * Parameter questions will be prompted in a dialog if the command
     * is triggered from a button or menu
     */
    ParameterStyle["DialogAction"] = "dialog_action";
})(ParameterStyle = exports.ParameterStyle || (exports.ParameterStyle = {}));
//# sourceMappingURL=CommandRegistration.js.map