import { CodeTransformOrTransforms } from "./CodeTransform";
import { CommandRegistration } from "./CommandRegistration";
/**
 * Superclass for all registrations of "project operations",
 * which can create or modify projects. Supply a transform function.
 */
export interface ProjectOperationRegistration<PARAMS, ADDITIONAL_PARAMS = {}> extends CommandRegistration<PARAMS> {
    /**
     * Function to transform the project
     */
    transform: CodeTransformOrTransforms<PARAMS & ADDITIONAL_PARAMS>;
}
//# sourceMappingURL=ProjectOperationRegistration.d.ts.map