import { HandlerContext, ProjectOperationCredentials, RemoteRepoRef } from "@atomist/automation-client";
/**
 * Strategy interface to resolve credentials from a handler invocation.
 */
export interface CredentialsResolver {
    /**
     * Return the appropriate credentials for this event handler invocation.
     * @param {HandlerContext} context
     * @param {RemoteRepoRef} id id of the repo if available
     * @return {ProjectOperationCredentials}
     */
    eventHandlerCredentials(context: HandlerContext, id?: RemoteRepoRef): Promise<ProjectOperationCredentials> | ProjectOperationCredentials;
    /**
     * Return the appropriate credentials for this command handler invocation.
     * @param {HandlerContext} context
     * @param {RemoteRepoRef} id id of the repo if available
     * @return {ProjectOperationCredentials}
     */
    commandHandlerCredentials(context: HandlerContext, id?: RemoteRepoRef): Promise<ProjectOperationCredentials> | ProjectOperationCredentials;
}
//# sourceMappingURL=CredentialsResolver.d.ts.map