import { Issue, ProjectOperationCredentials, RemoteRepoRef } from "@atomist/automation-client";
/**
 * Implemented by types that can raise issues
 */
export interface IssueRouter {
    /**
     * Raise an issue with the given routing strategy.
     * @param {ProjectOperationCredentials} credentials
     * @param {RemoteRepoRef} id
     * @param {Issue} issue
     * @return {Promise<void>}
     */
    raiseIssue(credentials: ProjectOperationCredentials, id: RemoteRepoRef, issue: Issue): Promise<void>;
}
//# sourceMappingURL=IssueRouter.d.ts.map