import { TreeNode } from "../TreeNode";
/**
 * Return the path from the root down to the target node.
 * Path includes root and target node.
 * @param {TreeNode} from start node
 * @param seen: Nodes we've already seen in this path
 * @param {TreeNode} node
 * @return {TreeNode[]}
 */
export declare function pathDownTo(node: TreeNode, from: TreeNode, seen?: TreeNode[]): TreeNode[] | undefined;
/**
 * Find the parent of the target node.
 * @param {TreeNode} root
 * @param {TreeNode} node we are searching down to
 * @return {TreeNode}
 */
export declare function parentOf(node: TreeNode, root: TreeNode): TreeNode;
