"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visitor_1 = require("../visitor");
/**
 * Strip positional info so we can compare ASTs
 * @param {TreeNode} tn
 * @return {TreeNode}
 */
function stripPositionalInfo(tn) {
    visitor_1.visit(tn, n => {
        for (const key of Object.getOwnPropertyNames(n)) {
            if (!["$name", "$children", "$value"].includes(key)) {
                n[key] = undefined;
            }
        }
        return true;
    });
    return tn;
}
exports.stripPositionalInfo = stripPositionalInfo;
//# sourceMappingURL=canonicalize.js.map