import { TreeNode } from "../TreeNode";
/**
 * Define properties allowing navigation down the tree.
 * Terminal properties have their value directly exposed.
 * There are 2 properties for non-terminals: scalar, and array with a following "s"
 * @param {TreeNode} root
 */
export declare function defineDynamicProperties(root: TreeNode): void;
/**
 * Fill in the values of non-terminals in this tree, using the last terminal found underneath it
 * @param {TreeNode} root
 * @param {string} content
 */
export declare function fillInEmptyNonTerminalValues(root: TreeNode, content: string): void;
/**
 * Find the last terminal under this node
 * @param {TreeNode} tn
 * @return {TreeNode}
 */
export declare function lastTerminal(tn: TreeNode): TreeNode | undefined;
