import { TreeNode } from "../TreeNode";
import { ExpressionEngine } from "./expressionEngine";
import { Predicate } from "./pathExpression";
/**
 * Predicate that executes a named predicate function, defined on the functionRegistry
 * General alternative to XPath functions. Allows the identification
 * of arbitrary functions to be executed against nodes
 */
export declare class FunctionPredicate implements Predicate {
    name: string;
    kind: string;
    /**
     * Takes the name of a predicate function
     * @param {string} name
     */
    constructor(name: string);
    evaluate(nodeToTest: TreeNode, returnedNodes: TreeNode[], ee: ExpressionEngine, functionRegistry: any): boolean;
    toString(): string;
}
export declare function isFunctionPredicate(p: Predicate): p is FunctionPredicate;
