"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs");
const importFrom = require("import-from");
function resolveExternalModuleAndFn(pointer) {
    if (typeof pointer === 'function') {
        return pointer;
    }
    const patternArr = pointer.split('#');
    const moduleName = patternArr[0];
    const functionName = patternArr[1];
    const localFilePath = path.resolve(process.cwd(), moduleName);
    const localFileExists = fs.existsSync(localFilePath);
    const loadedModule = localFileExists ? require(localFilePath) : importFrom(process.cwd(), moduleName);
    if (!(functionName in loadedModule)) {
        throw new Error(`${functionName} couldn't be found in module ${moduleName}!`);
    }
    return loadedModule[functionName];
}
exports.resolveExternalModuleAndFn = resolveExternalModuleAndFn;
//# sourceMappingURL=resolve-external-module-and-fn.js.map