"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visitor_plugin_common_1 = require("@graphql-codegen/visitor-plugin-common");
const ts_selection_set_to_object_1 = require("./ts-selection-set-to-object");
const ts_operation_variables_to_object_1 = require("./ts-operation-variables-to-object");
class TypeScriptDocumentsVisitor extends visitor_plugin_common_1.BaseDocumentsVisitor {
    constructor(schema, config, allFragments) {
        super(config, {
            noExport: visitor_plugin_common_1.getConfigValue(config.noExport, false),
            avoidOptionals: typeof config.avoidOptionals === 'boolean' ? visitor_plugin_common_1.getConfigValue(config.avoidOptionals, false) : false,
            immutableTypes: visitor_plugin_common_1.getConfigValue(config.immutableTypes, false),
            nonOptionalTypename: visitor_plugin_common_1.getConfigValue(config.nonOptionalTypename, false),
        }, schema);
        this.setSelectionSetHandler(new ts_selection_set_to_object_1.TypeScriptSelectionSetToObject(this.scalars, this.schema, this.convertName, this.config.addTypename, this.config.preResolveTypes, this.config.nonOptionalTypename, allFragments, this.config));
        this.setVariablesTransformer(new ts_operation_variables_to_object_1.TypeScriptOperationVariablesToObject(this.scalars, this.convertName, this.config.avoidOptionals, this.config.immutableTypes, this.config.namespacedImportName));
        this._declarationBlockConfig = {
            ignoreExport: this.config.noExport,
        };
    }
}
exports.TypeScriptDocumentsVisitor = TypeScriptDocumentsVisitor;
//# sourceMappingURL=visitor.js.map