import { SelectionSetToObject, ConvertNameFn, NormalizedScalarsMap, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { GraphQLSchema, GraphQLNamedType, SelectionSetNode, GraphQLObjectType, GraphQLNonNull, GraphQLList } from 'graphql';
import { TypeScriptDocumentsParsedConfig } from './visitor';
export declare class TypeScriptSelectionSetToObject extends SelectionSetToObject {
    private _config;
    constructor(_scalars: NormalizedScalarsMap, _schema: GraphQLSchema, _convertName: ConvertNameFn, _addTypename: boolean, _preResolveTypes: boolean, _nonOptionalTypename: boolean, _loadedFragments: LoadedFragment[], _config: TypeScriptDocumentsParsedConfig, _parentSchemaType?: GraphQLNamedType, _selectionSet?: SelectionSetNode);
    createNext(parentSchemaType: GraphQLNamedType, selectionSet: SelectionSetNode): SelectionSetToObject;
    private clearOptional;
    protected formatNamedField(name: string): string;
    protected wrapTypeWithModifiers(baseType: string, type: GraphQLObjectType | GraphQLNonNull<GraphQLObjectType> | GraphQLList<GraphQLObjectType>): string;
}
