import { SchemaPointerSingle, Source, DocumentLoader } from '@graphql-toolkit/common';
export declare type FetchFn = typeof import('cross-fetch').fetch;
declare type Headers = Record<string, string> | Array<Record<string, string>>;
export interface LoadFromUrlOptions {
    headers?: Headers;
    customFetch?: FetchFn | string;
    method?: 'GET' | 'POST';
}
export declare class UrlLoader implements DocumentLoader<LoadFromUrlOptions> {
    loaderId(): string;
    canLoad(pointer: SchemaPointerSingle, options: LoadFromUrlOptions): Promise<boolean>;
    load(pointer: SchemaPointerSingle, options: LoadFromUrlOptions): Promise<Source>;
}
export {};
