const assert = require("assert");
const metrics = require("./");
const BinaryHeap = require("./lib/binary_heap.js");
const Benchmark = require("benchmark");

const suite = new Benchmark.Suite();

const histogram = new metrics.Histogram();
for (let i = 0; i < 10000; i++) {
    histogram.update(20 + Math.random() * Math.random() * 10000);
}

let a;
let b;
let sample;
suite
  .add("original", () => {
        a = histogram.percentiles();
      })
  .add("updated", () => {
        b = histogram.percentiles();
      })
  .on("cycle", function(event) {
        console.log(String(event.target));
        BinaryHeap.prototype.clone = function() {
          var heap = new BinaryHeap(this.scoreFunction);
          //heap.content = JSON.parse(JSON.stringify(this.content));
          heap.content = this.content.slice(0);
          return heap;
        };
      })
  .on("complete", function() {
        assert.deepEqual(a, b);
        console.log("done");
      })
  .run();
